(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     59319,       1568]
NotebookOptionsPosition[     56323,       1477]
NotebookOutlinePosition[     56662,       1492]
CellTagsIndexPosition[     56619,       1489]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"In", " ", "this", " ", "notebook"}], ",", " ", 
   RowBox[{
    RowBox[{
    "I", " ", "evaluate", " ", "the", " ", "information", " ", "rate", " ", 
     "obtained", " ", "by", " ", "quantizing", " ", "a", " ", "first"}], "-", 
    
    RowBox[{
    "order", " ", "MA", " ", "process", " ", "with", " ", "a", " ", "first"}],
     "-", 
    RowBox[{"order", " ", "predictor"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.59022916789118*^9, 3.590229169790275*^9}, {
  3.590229366928423*^9, 3.590229391855488*^9}, {3.590229460907075*^9, 
  3.590229479849024*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Sx", "[", "t_", "]"}], ":=", 
   RowBox[{"4", 
    RowBox[{
     RowBox[{"Cos", "[", 
      RowBox[{"t", "/", "2"}], "]"}], "^", "2"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H", "[", 
    RowBox[{"t_", ",", "c_"}], "]"}], ":=", 
   RowBox[{"1", "+", 
    RowBox[{"c", "^", "2"}], "+", 
    RowBox[{"2", "*", "c", "*", 
     RowBox[{"Cos", "[", "t", "]"}]}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.590229488024412*^9, 3.590229493801169*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Consistency", " ", 
    RowBox[{"Check", ":", " ", 
     RowBox[{
     "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "=="}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Assume", " ", "that", " ", "Sigma_x", "*", "Delta"}], "=", "1"}],
    " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.590229516260744*^9, 3.59022955915373*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"1", "/", "4"}], "/", "Pi"}], "*", 
  RowBox[{"NIntegrate", "[", 
   RowBox[{
    RowBox[{"Log", "[", 
     RowBox[{"1", "+", 
      RowBox[{"Sx", "[", "t", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", 
      RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData["0.481211825059604`"], "Output",
 CellChangeTimes->{3.5902295816447906`*^9, 3.590230305847817*^9, 
  3.603185063271679*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"1", "/", "4"}], "/", "Pi"}], "*", 
  RowBox[{"NIntegrate", "[", 
   RowBox[{
    RowBox[{"Log", "[", 
     RowBox[{"1", "+", 
      RowBox[{
       RowBox[{"Sx", "[", "t", "]"}], "*", 
       RowBox[{"H", "[", 
        RowBox[{"t", ",", 
         RowBox[{"-", "0.5"}]}], "]"}]}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", 
      RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5902296304373817`*^9, 3.5902296497078543`*^9}}],

Cell[BoxData["0.4273689381871692`"], "Output",
 CellChangeTimes->{
  3.590229587535904*^9, {3.59022963120822*^9, 3.590229650174818*^9}, 
   3.5902303070212393`*^9, 3.603185064581334*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Indeed", ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"the", " ", "closed"}], "-", 
     RowBox[{"loop", " ", "predictor", " ", 
      RowBox[{"(", "above", ")"}], " ", "is", " ", "better", " ", "than", " ",
       "the", " ", "open"}], "-", 
     RowBox[{"loop", " ", "predictor"}]}], ";", " ", 
    RowBox[{
     RowBox[{
     "I", " ", "also", " ", "varied", " ", "the", " ", "coefficient", " ", 
      "of", " ", "the", " ", "latter", " ", "between"}], " ", "-", 
     RowBox[{"0.4", " ", "and"}], " ", "-", 
     RowBox[{"0.5", "."}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.59022958929428*^9, 3.590229667978033*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"===", "===", "===", "===", "===", "===", "===", "===", 
   RowBox[{"==", 
    RowBox[{"=", 
     RowBox[{"=", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "===", "===", "=="}]}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.590229677185996*^9, 3.5902296786988792`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"P", "[", "c_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"1", "/", "2"}], "/", "Pi"}], "*", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Sx", "[", "t", "]"}], "*", 
      RowBox[{"H", "[", 
       RowBox[{"t", ",", "c"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}], "      ", 
   RowBox[{"(*", " ", 
    RowBox[{"Power", " ", "of", " ", "the", " ", "filter", " ", "output"}], 
    " ", "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.590229719513073*^9, 3.590229731003084*^9}, {
  3.590230244132058*^9, 3.590230247644573*^9}, {3.5902303344108152`*^9, 
  3.5902303400594683`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"FindMinimum", "[", 
   RowBox[{
    RowBox[{"P", "[", "c", "]"}], ",", "c"}], "]"}], "       ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Optimum", " ", "filter", " ", "coefficient", " ", "for", " ", "PE"}], " ",
    "*)"}]}]], "Input",
 CellChangeTimes->{{3.590229741087824*^9, 3.590229760280437*^9}, {
  3.590230264513907*^9, 3.590230265128731*^9}, {3.603176579853393*^9, 
  3.603176580139044*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.5`", ",", 
   RowBox[{"{", 
    RowBox[{"c", "\[Rule]", 
     RowBox[{"-", "0.5`"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.590229760952919*^9, 3.590230310145413*^9, 
  3.5902303472718077`*^9, 3.603185067024928*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"===", "===", "===", "===", "===", "===", "===", "===", 
   RowBox[{"==", 
    RowBox[{"=", 
     RowBox[{"=", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "===", "===", "=="}]}]}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"RList", "=", 
   RowBox[{"Range", "[", 
    RowBox[{"0.1", ",", "6", ",", "0.1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"DList", "=", 
    RowBox[{"1", "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Exp", "[", 
        RowBox[{"2", "*", "RList"}], "]"}], "-", "1"}], ")"}]}]}], ";"}], 
  "            ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Rate", " ", "Constraint", " ", "and", " ", "corresponding", " ", 
    "distortion"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.59022980323302*^9, 3.590229821920929*^9}, 
   3.5902314882753468`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", "===", "===", 
    RowBox[{"==", 
     RowBox[{"=", 
      RowBox[{"=", 
       RowBox[{
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
         "===", "===", "===", "===", "=="}]}]}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "For", " ", "CL", " ", "we", " ", "need", " ", "to", " ", "consider", " ",
      "that", " ", "the", " ", "feedback"}], "-", 
    RowBox[{
    "loop", " ", "adds", " ", "noise", " ", "to", " ", "the", " ", 
     "quantizer", " ", "input"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.603176629089306*^9, 3.603176656575502*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"PCL", "[", 
   RowBox[{"c_", ",", "D_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"P", "[", "c", "]"}], "/", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"D", "*", 
      RowBox[{"c", "^", "2"}]}]}], ")"}], "      ", 
   RowBox[{"(*", " ", 
    RowBox[{"Power", " ", "at", " ", "quantizer", " ", "input"}], " ", 
    "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.603176616615715*^9, 3.603176616798559*^9}, {
  3.603176692709663*^9, 3.603176735052635*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"===", "===", "===", "===", "===", "===", "===", "===", 
   RowBox[{"==", 
    RowBox[{"=", 
     RowBox[{"=", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "===", "===", "=="}]}]}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Setting", " ", "the", " ", "Information", " ", "Rates", " ", "for", " ", 
     "Open"}], "-", 
    RowBox[{"Loop", " ", "Prediction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"IntegrandOL", "[", 
     RowBox[{"t_", ",", "c_", ",", "D_"}], "]"}], ":=", 
    RowBox[{"1", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Sx", "[", "t", "]"}], "*", 
        RowBox[{"H", "[", 
         RowBox[{"t", ",", "c"}], "]"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"D", "*", 
        RowBox[{"P", "[", "c", "]"}]}], ")"}]}]}]}], ";", 
   RowBox[{
    RowBox[{"InfoOL", "[", 
     RowBox[{
      RowBox[{"c_", "?", "NumericQ"}], ",", 
      RowBox[{"D_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "/", "4"}], "/", "Pi"}], "*", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"Log", "[", 
        RowBox[{"IntegrandOL", "[", 
         RowBox[{"t", ",", "c", ",", "D"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.590229994899171*^9, 3.5902300452287397`*^9}, 
   3.590230225694017*^9, {3.590230272510206*^9, 3.5902302727668467`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Setting", " ", "the", " ", "Information", " ", "Rates", " ", "for", " ", 
     "Closed"}], "-", 
    RowBox[{"Loop", " ", "Prediction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"IntegrandCL", "[", 
     RowBox[{"t_", ",", "c_", ",", "D_"}], "]"}], ":=", 
    RowBox[{"1", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"Sx", "[", "t", "]"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"D", "*", 
        RowBox[{"PCL", "[", 
         RowBox[{"c", ",", "D"}], "]"}]}], ")"}]}]}]}], ";", 
   RowBox[{
    RowBox[{"InfoCL", "[", 
     RowBox[{
      RowBox[{"c_", "?", "NumericQ"}], ",", 
      RowBox[{"D_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "/", "4"}], "/", "Pi"}], "*", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"Log", "[", 
        RowBox[{"IntegrandCL", "[", 
         RowBox[{"t", ",", "c", ",", "D"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Setting", " ", "the", " ", "Information", " ", "Rates", " ", "for", " ", 
     "Closed"}], "-", 
    RowBox[{"Loop", " ", "Prediction"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.590230057793666*^9, 3.590230068522025*^9}, 
   3.590230230198626*^9, {3.590230274685635*^9, 3.590230274876635*^9}, {
   3.603176769821973*^9, 3.603176772172447*^9}, {3.603181953032402*^9, 
   3.603182004784494*^9}, {3.603185003441136*^9, 3.603185003986463*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"===", "===", "===", "===", "===", "===", "===", "===", 
   RowBox[{"==", 
    RowBox[{"=", 
     RowBox[{"=", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "===", "===", "=="}]}]}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Open", "-", 
    RowBox[{"Loop", " ", "Predictor", " ", "with", " ", "MSE"}], "-", 
    RowBox[{"optimal", " ", "coefficient", " ", 
     RowBox[{"(", 
      RowBox[{"-", "0.5"}], ")"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"OutmatOLMSE", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      SubscriptBox["m", "j"], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", 
        RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], ";", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"j", "=", "1"}], ",", 
     RowBox[{"j", "<", 
      RowBox[{
       RowBox[{"Length", "[", "DList", "]"}], "+", "1"}]}], ",", 
     RowBox[{"j", "++"}], ",", 
     RowBox[{
      RowBox[{"OutmatOLMSE", "[", 
       RowBox[{"[", "j", "]"}], "]"}], "=", 
      RowBox[{"InfoOL", "[", 
       RowBox[{
        RowBox[{"-", "0.5"}], ",", 
        RowBox[{"DList", "[", 
         RowBox[{"[", "j", "]"}], "]"}]}], "]"}]}]}], "]"}], ";"}]}]], "Input",\

 CellChangeTimes->{{3.5902298870533533`*^9, 3.590229975974478*^9}, {
  3.590230047364126*^9, 3.5902300475075197`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"===", "===", "===", "===", "===", "===", "===", "===", 
   RowBox[{"==", 
    RowBox[{"=", 
     RowBox[{"=", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "===", "===", "=="}]}]}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Closed", "-", 
   RowBox[{"Loop", " ", "Predictor", " ", "with", " ", "MSE"}], "-", 
   RowBox[{"optimal", " ", "coefficient", " ", 
    RowBox[{"(", 
     RowBox[{"-", "0.5"}], ")"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.590230124288561*^9, 3.590230142385479*^9}, {
  3.603185024915045*^9, 3.603185037128107*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"OutmatCL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SubscriptBox["m", "j"], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CoeffmatCL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SubscriptBox["m", "j"], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], ";", 
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"j", "=", "1"}], ",", 
    RowBox[{"j", "<", 
     RowBox[{
      RowBox[{"Length", "[", "DList", "]"}], "+", "1"}]}], ",", 
    RowBox[{"j", "++"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"OutmatCL", "[", 
       RowBox[{"[", "j", "]"}], "]"}], "=", 
      RowBox[{"First", "[", 
       RowBox[{"FindMaximum", "[", 
        RowBox[{
         RowBox[{"InfoCL", "[", 
          RowBox[{"c", ",", 
           RowBox[{"DList", "[", 
            RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"c", ",", 
           RowBox[{"-", "0.5"}]}], "}"}]}], "]"}], "]"}]}], ";", 
     RowBox[{
      RowBox[{"CoeffmatCL", "[", 
       RowBox[{"[", "j", "]"}], "]"}], "=", 
      RowBox[{"c", "/.", 
       RowBox[{"Last", "[", 
        RowBox[{"FindMaximum", "[", 
         RowBox[{
          RowBox[{"InfoCL", "[", 
           RowBox[{"c", ",", 
            RowBox[{"DList", "[", 
             RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", 
            RowBox[{"-", "0.5"}]}], "}"}]}], "]"}], "]"}]}]}]}]}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.603176830135194*^9, 3.603176832620145*^9}, {
  3.603180763753628*^9, 3.603180833661347*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMaximum", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within the \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient increase in the function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/FindMaximum\\\", ButtonNote -> \
\\\"FindMaximum::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.603180888649441*^9, {3.603185039673121*^9, 3.603185053706546*^9}, 
   3.603185127358374*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMaximum", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within the \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient increase in the function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/FindMaximum\\\", ButtonNote -> \
\\\"FindMaximum::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.603180888649441*^9, {3.603185039673121*^9, 3.603185053706546*^9}, 
   3.6031851303171597`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMaximum", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within the \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient increase in the function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/FindMaximum\\\", ButtonNote -> \
\\\"FindMaximum::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.603180888649441*^9, {3.603185039673121*^9, 3.603185053706546*^9}, 
   3.603185140537757*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(FindMaximum :: lstol\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.603180888649441*^9, {3.603185039673121*^9, 3.603185053706546*^9}, 
   3.6031851405392523`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMaximum", "::", "sdprec"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Line search unable to find a sufficient increase in the \
function value with \[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digit \
precision. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\
\\\", ButtonFrame->None, ButtonData:>\\\"paclet:ref/FindMaximum\\\", \
ButtonNote -> \\\"FindMaximum::sdprec\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.603180888649441*^9, {3.603185039673121*^9, 3.603185053706546*^9}, 
   3.603185255702117*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMaximum", "::", "sdprec"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Line search unable to find a sufficient increase in the \
function value with \[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digit \
precision. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\
\\\", ButtonFrame->None, ButtonData:>\\\"paclet:ref/FindMaximum\\\", \
ButtonNote -> \\\"FindMaximum::sdprec\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{
  3.603180888649441*^9, {3.603185039673121*^9, 3.603185053706546*^9}, 
   3.603185260077808*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"===", "===", "===", "===", "===", "===", "===", "===", 
   RowBox[{"==", 
    RowBox[{"=", 
     RowBox[{"=", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "===", "===", "=="}]}]}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Open", "-", 
    RowBox[{"Loop", " ", "Predictor", " ", "with", " ", "half"}], "-", 
    RowBox[{"whitening", " ", "solution", " ", 
     RowBox[{"(", 
      RowBox[{"MSRE", "-", "optimal"}], ")"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"MSRE", " ", "=", " ", 
     RowBox[{
     "P", "*", "Noise", " ", "Gain", " ", "of", " ", "the", " ", "inverse", 
      " ", "filter"}]}], ",", " ", 
    RowBox[{"which", " ", "is", " ", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"c", "^", "2"}]}], ")"}]}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{
  3.5902299545955772`*^9, {3.590230157166336*^9, 3.590230189760152*^9}, {
   3.590230382098014*^9, 3.590230400519732*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"MSRE", "[", "c_", "]"}], ":=", 
   RowBox[{
    RowBox[{"P", "[", "c", "]"}], "/", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"c", "^", "2"}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Copt", "=", 
  RowBox[{"c", "/.", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"MSRE", "[", "c", "]"}], ",", "c"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "0"}], "}"}]}], "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.590230404408033*^9, 3.590230468343033*^9}}],

Cell[BoxData[
 RowBox[{"-", "0.26794919243112547`"}]], "Output",
 CellChangeTimes->{3.590230430871657*^9, 3.590230469363797*^9, 
  3.590231508201758*^9, 3.603181305620363*^9, 3.603185057835565*^9, 
  3.60318537452179*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OutmatOLRec", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SubscriptBox["m", "j"], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"j", "=", "1"}], ",", 
    RowBox[{"j", "<", 
     RowBox[{
      RowBox[{"Length", "[", "DList", "]"}], "+", "1"}]}], ",", 
    RowBox[{"j", "++"}], ",", 
    RowBox[{
     RowBox[{"OutmatOLRec", "[", 
      RowBox[{"[", "j", "]"}], "]"}], "=", 
     RowBox[{"InfoOL", "[", 
      RowBox[{"Copt", ",", 
       RowBox[{"DList", "[", 
        RowBox[{"[", "j", "]"}], "]"}]}], "]"}]}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5902304820099697`*^9, 3.590230491034237*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"===", "===", "===", "===", "===", "===", "===", "===", 
   RowBox[{"==", 
    RowBox[{"=", 
     RowBox[{"=", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "===", "===", "=="}]}]}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Open", "-", 
   RowBox[{
   "Loop", " ", "Predictor", " ", "Maximizing", " ", "the", " ", 
    "Information", " ", "Rate"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.590230505591901*^9, 3.590230522816115*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"OutmatOLInfo", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SubscriptBox["m", "j"], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Coeffmat", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SubscriptBox["m", "j"], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], ";", 
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"j", "=", "1"}], ",", 
    RowBox[{"j", "<", 
     RowBox[{
      RowBox[{"Length", "[", "DList", "]"}], "+", "1"}]}], ",", 
    RowBox[{"j", "++"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"OutmatOLInfo", "[", 
       RowBox[{"[", "j", "]"}], "]"}], "=", 
      RowBox[{"First", "[", 
       RowBox[{"FindMaximum", "[", 
        RowBox[{
         RowBox[{"InfoOL", "[", 
          RowBox[{"c", ",", 
           RowBox[{"DList", "[", 
            RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"c", ",", 
           RowBox[{"-", "0.5"}]}], "}"}]}], "]"}], "]"}]}], ";", 
     RowBox[{
      RowBox[{"Coeffmat", "[", 
       RowBox[{"[", "j", "]"}], "]"}], "=", 
      RowBox[{"c", "/.", 
       RowBox[{"Last", "[", 
        RowBox[{"FindMaximum", "[", 
         RowBox[{
          RowBox[{"InfoOL", "[", 
           RowBox[{"c", ",", 
            RowBox[{"DList", "[", 
             RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", 
            RowBox[{"-", "0.5"}]}], "}"}]}], "]"}], "]"}]}]}]}]}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.590230540551511*^9, 3.590230558375581*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMaximum", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within the \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient increase in the function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/FindMaximum\\\", ButtonNote -> \
\\\"FindMaximum::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.60318131871163*^9, 3.6031853901146927`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMaximum", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within the \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient increase in the function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/FindMaximum\\\", ButtonNote -> \
\\\"FindMaximum::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.60318131871163*^9, 3.603185394204982*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMaximum", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within the \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient increase in the function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/FindMaximum\\\", ButtonNote -> \
\\\"FindMaximum::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.60318131871163*^9, 3.603185397782902*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(FindMaximum :: lstol\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.60318131871163*^9, 3.603185397784342*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMaximum", "::", "sdprec"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Line search unable to find a sufficient increase in the \
function value with \[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digit \
precision. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\
\\\", ButtonFrame->None, ButtonData:>\\\"paclet:ref/FindMaximum\\\", \
ButtonNote -> \\\"FindMaximum::sdprec\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.60318131871163*^9, 3.603185449511059*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMaximum", "::", "sdprec"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Line search unable to find a sufficient increase in the \
function value with \[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digit \
precision. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\
\\\", ButtonFrame->None, ButtonData:>\\\"paclet:ref/FindMaximum\\\", \
ButtonNote -> \\\"FindMaximum::sdprec\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.60318131871163*^9, 3.6031854537102413`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMaximum", "::", "sdprec"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Line search unable to find a sufficient increase in the \
function value with \[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digit \
precision. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\
\\\", ButtonFrame->None, ButtonData:>\\\"paclet:ref/FindMaximum\\\", \
ButtonNote -> \\\"FindMaximum::sdprec\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.60318131871163*^9, 3.603185469619424*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(FindMaximum :: sdprec\\), \\\"MessageName\\\"]\
\\)\[NoBreak] will be suppressed during this calculation. \\!\\(\\*ButtonBox[\
\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.60318131871163*^9, 3.6031854696207542`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"RList", "[", 
       RowBox[{"[", "i", "]"}], "]"}], ",", 
      RowBox[{"Coeffmat", "[", 
       RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", 
      RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{{3.5902308503354607`*^9, 3.5902308918333483`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw10g1IU1EUB/BtfuZXbs5NKrFkBoIfNDUKtHugbKIVZlBQCjK/EHXGQJhp
iUUpgWYlxKxBKRpJS2tkNtOn6SxlarJK57b3kvzMRJe6KZnU1r0HLo/HPed3
/jzeAWlxWg6HxWLF/zuOZ4PSUW/RYUXLKYN9kvr/PoRoSVLGnNxIxcY4yoB6
JxTSi7NGfG9E21X07bLUKYrlrG/I41FVZ/jrKcrZHvMdpSWo81l8E5WX66g5
1OgnA1mRCc8vosVMWNH1magRvaN+ouuhopMSrhl7q+h5cuOxg+lm3G9Ff+Kb
xu80mnGeNSQuPKpQz5ipUef8OrLF7Q9rCbXgfTYUNizJepJuodhObxNVaJuj
B+9ZsLeFnkWKQhJ0Fuz9RsceLJ+PXrdgbxv1tO+5NhhCY28HKbvsTyOTaJyP
BYKxEJe6IhrnZ0G2sfBIUB2NfTZoReFiaxuZ50BYQaskcYTG+1yg9iVtT1ig
cT5XsJRyg13YDPZc4aqm/nGXkMGeG9iUckFNBIM9dyjPUa01IAZ7HqC7nCXy
OMtgzxMMK1EqaybxPKFCXKlSFBNvF3T3lug6y4nnBYGqF2X6auJ5w9ZAF+jv
E88HfM7MT4+piOcDA/uKt5daiOcL7pfMX2PbiOcHbp8ybr3rIN5uoMb3cuq7
Gfz9/OGc8rNyuJ+hnO25/iBLde2TDRHfH654F6TUjDL4f+LCj4xXs2IDQznX
KbmgSL6pyZ8gHg+WN0ci4k3E44GgqL9EQxOPBzu+bl6T08QLgGp56Zf2GZI/
AJqz36cnzhOPDxfU09aHi8TjQ6X+xF3tEvH44CVcaG1eJl4g3AjSnJauEC8Q
5JKPPRurxBNAZl4TO+sX8QQgWjokVa8RTwA824fjk+vEE4KV8yZ7foN4QpBT
UcEWG/GCoCMupVZrZ6i/cxvRvg==
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, -0.505},
  PlotRange->{{0., 6.}, {-0.505, -0.3901260613000689}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.5902308941556883`*^9, 3.590231820757586*^9, 
  3.603181702559422*^9, 3.603186034375618*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"RList", "[", 
       RowBox[{"[", "i", "]"}], "]"}], ",", 
      RowBox[{"CoeffmatCL", "[", 
       RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", 
      RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{{3.603181708121975*^9, 3.6031817116390867`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw90G1IU1EYB/A7Z2npbJtThwRlUkm4LHRq1joPg16EIBEjI5MRTYmQSSP9
EFkfeiOkhimiRgtGuCiY1Xxr1rXA6YeWZTSn5m5qS0ybczPX3Fvb5Z77h8Ph
gfP8noeTcV5VqowhCKIgcqL30YSO0a+vHOhHpyWn2G8jq6ui+YUmbVr3m/IJ
sr0tmgVkMGvlwmeTpOVjNEvIIg2OPXg9RRJ0XOiIJuvR0zvfmfcrqDkv/fnO
/dNkXm40HjSevqjJ6J8mP9H9q0gn75W27rIz89YQ0a6t9DTYSQ7t/UPl4rlZ
tdnOeD403LfNXkNQjOdH3YITe27lUIwXQCKD/vrYKYrxQmjZdq6Qe4Vi9iMg
wLtrUN2nmP0JKIqr/5atoxifAw7zy4F0I+6PgQLNl4PO93geF7J6ypRFForZ
Lxa2dkkv1VmxFwveEc1erh17G8Cdr+Ls+4m9jVCRJCFkC9iLg4ZBobXyD/bi
QXy6Xz3owl48NE61DNz0YG8TzOSbykb+Ym8zhGaq+Tov9hKgQ7l4YLcPe4lQ
NbcjU7mOvUToamqVXPRjjwfBYKj4cAB7SaDSdtUtBbC3BZazt5+9GsT/xwdT
plfuitT08yo+GN+FiZIQ9vkwW/7h0ONITbfnCmBecrvZHqnpcW0CuOyrHRWG
sScEx8OTTlkYe0LgWwtDijD2hPDimMBxLYy9ZBieLjK0hPH+yaCtcQ/pWU8E
vfPezj7WE4GxyVQxxHoiWB/n5XxmvRQ4fqak28Z6KfCkUTROsV4qUBP6ZQfr
pYJC3XPjN+ulgq5Wds/JemkQaVKssF4aWOPflq6ynhgK6i9UrEXq/yR3vD8=

     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, -0.51},
  PlotRange->{{0., 6.}, {-0.51, -0.3903372732953567}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.603181712306555*^9, 3.603186036460763*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"===", "===", "===", "===", "===", "===", "===", "===", 
   RowBox[{"==", 
    RowBox[{"=", 
     RowBox[{"=", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "===", "===", "=="}]}]}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Displaying", " ", "Results"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.590230835174204*^9, 3.590230840143662*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<PlotLegends`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RList", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"OutmatOLInfo", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RList", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"OutmatCL", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RList", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"OutmatOLMSE", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RList", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"OutmatOLRec", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], "}"}], 
   ",", 
   RowBox[{"PlotLegend", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<OL-Rate\>\"", ",", "\"\<CL\>\"", ",", "\"\<OL-MSE\>\"", ",", 
      "\"\<OL-MSRE\>\""}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.590230930949154*^9, 3.590231039318413*^9}, 
   3.590231436225416*^9, {3.6031817344542637`*^9, 3.603181757966525*^9}, {
   3.603186040223321*^9, 3.603186043209384*^9}}],

Cell[BoxData[
 GraphicsBox[{InsetBox[
    GraphicsBox[{{}, {}, 
      {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwt0ntIU3EUB/C93EOn7nG3OaRQQkkoa74WrfidIP8Qo6ao0wRJyyfZjEI0
rLQwtT/UCrKNgsrUPxIrEkqQNBVJzIWZ5ciJLfOtaDN187G23XPgx+Xy+57P
OVxucJY+MZvFYDCOuY77aTS4q4NUTV6bafDpIPT7ADEEzxTVPv1EoiLdNUJU
WWn7Tmm+4r2ZlM9yncOiMcLw1CS5b6uz9JstxBOP/E1anzX0EdMvkpvjrmly
6F3u/t62KeyfI6qFzFv+9TNk6LO7Fgl7U1F95so8eisk7XF4bHLaEuZXybj6
tkMXvIL72Ig4vpw/0bBKTJ7+NfJNnfFaJ7LhvHWitVwPGL67Rpgeb5McPD+i
ieeto2cn5qCb7R8qN9DbIiH9Ect7uHb0tknnvxhrSrUDvV3yozi0OEm4jfsx
gFlztd55bwf3Z0DrtnKVKJ3oM6H0uLpwV8sAup8F9ZqqAT85E+h5bOh6oJrq
+8kEej8OSL2tC9RzFtAeB/R3XlbY8thAe14wNN47mHyYgx4XlOOdN1SbHPR4
MB9GzZV1e6HHhyWtbSW8hoseH9I/hshJIg89AZgKRi81BfLR84bKc4LGs3/4
6PlAxejstO6VAD0h5D0JXXtY6o2eEExvp1iSkz7o+YIw5XRPr58QPT/gxykT
WsxC9PxhI0sa8/6FL9CfTwR2yVjqX70feOI5ImiJ7XEkaPzRF0FhMzWWzxYB
/T+JwaizHziaLwLPOIMYTHFddQFfROhJgGUoaWdHi9GTgGli8aLDKEZPAjth
gc1brhztSaGoey6bmyvB/aWgVbAGlEMS9CjYW/WdEe3K0R4FVrspQefK0R4F
ggyjuNwpRU8GbzIbm9qyKfRkcJnVUmEdpNCTw/KzgtDACBl6clCn1walPpKh
J4cjsSU8w64MPQWM5qeUWS7I0VNAUnNMWMigHL0AKD0R1a1XKeA/ZfmHJQ==

        "]]}, 
      {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJwt0ntIU3EUB/C5l9vcdO+5FMEkIyLzBTNSfgejxK3MBCOFMHwsW6UIOqNS
wVKKoqxQ29CSrCyNJBJsZSn+MyzfK8ostE0lU0S3pZm2te2eAz8ul9/3fM7h
csNzizMK6DQaLdFzvE+jwVsmknRzcm65wUSo9wGSLrrb3HplgMTHectCktsP
Z+tEFryfIG2u83ciDkwQmq+mybUwAcN2Yor44nE2kn2m5+L6Cys5qfXWHBm/
d9T9/uks9s8TpS2mLN34kwwNemuRaObDRydqFtBbJkcuWE3FRUuYXyHmt2Of
re3LuI+D5DSxTc1hdjLs63eS/oMj1+23HThvlWhbOjvVnN/Ez+f9ISvHl1yO
ylX01knhnvKWbWtr6G2QkVNLCcySdfQ2SWlU5NVHi3/Rc5HRKE2FRLeJ+9Eg
KzS6J23+H+5Pg2ODBeZ0nRt9P2jaPfO9Vk8Dqp8OE425068T/ICax4CO4XLl
mw0/oPZjwi2lWl3RSwfKY8JYO7dt9RIDKI8F9X22raGpTPTY0JWR2GENZKHn
D7oyZSb5xEKPA4d2JVZtb2Kjx4F3YZcX6vL80ePCqGVjqGQnBz0emOgz3/oc
HPQCIMT8JaOsh4seHzSlbGdtDQ89PuyoNwuW0gLQE0CXubq0NZiPXiC8NM1W
tVj56AVB6uAKa+qZAKjPJ4THdlVmVnkg+OJaISxk34jiJQehL4TlzKQcPVsI
1P8kAt1+onGdFoJvnEEEEZ3xFuOYED0xdE3ObFGrROiJIZ47UMRrFqEnhufV
bvhKF6MngTpufuSrQjHuLwGratTyYFiMnhQs+2pCDPES9KRw9kfvL4NRgp4U
zmXpUx56cpQnA62dpHV7cpQnA//+vOhxT47y5HC/gR/rjJWhJwentOVJqCdH
eXLQf1Stq90y9BTgTNnbWFkgR08BQ/nBjO4PcvSCgbWmGHDEKOA/ujGR6g==

        "]]}, 
      {Hue[0.1421359549995791, 0.6, 0.6], LineBox[CompressedData["
1:eJwt0ntIU3EUB/C9dFM393APcyWYLRJ6mfaQst/B/KOyVhmlvc3H1ExXpIQR
2ctpKk3oj+bUHiYVppnlwIwwy8zHtkLTHCH4TJNWmmaaTnO758CPy+X3PZ9z
uFyfaHV4HINGo21ZOPanvsBeL0kIOVY/PVdDqPdm4u3e5FV4s4kEBtirnVQP
NwaWr2zDewvR7h9IrrN9ITRH9ZALtvmNhnfdxBEP6CdVTFNP3NteEq+y1zdi
9Ik6UlYygP3fyS61R6Df9SFiMtrrB/nzqGzIGj+C3ijxPRuhqlRaMT9Gtmky
T55bPIr7jJNavUanvjVGzI7+CaI3XWqJ4o7jvEki8JNmK7MmCN3hTZFVHZ01
G1iT6E2TLulSkeDaX/RmiK09jGZkTqM3S9i//BWRmn/ozZElnsGZd11ncT8a
sKrqU3Pzbbg/DXTzjeEsz3n06WAOMvLS99KA6mdAT0JY8h0JHah5TCCxDZdV
X+lA7ceCdrNfx/v7DKA8FnRV58dUJTCB8pzAPFBY4r2WhZ4zpGlztcwpFnps
OJH2s+bgGyf0OHD1QE4w/4YzehzImosxLwtno+cCLZ3+5Vo5Bz1X2LpT82D7
IAc9N7hdWcfeUemCHhcgwqsiJ90VPS4EG9b0sUPd0OPB8hfeia/cuei5Q0pN
3pl7Fi56fChOKc17XsoD6vMJIDVv9TOr2h0ccZUAvGYsCuVmPvoCsOb3hiYw
BUD9T0Iori3p3ZQoAMe4AiHskWszZB8F6IlAYRv7zFgvRE8Ep0NOGab1QvRE
8KnhIn9mIUd5HhDbvW/EKV6E+3tAR39RzCKTCD0xBF15UhG4kKM8MQxH63kR
CznKE8PrwxWWjHkP9CSw4nHz+adxYvQkcNxXeLSvVYyeFHb7FLHl6yToScFg
VbIjdRL0pJD98MNv3ZwEPRnIDkUndcdK0ZNBUlm4XNEqRc8T2gbbqtX+MvgP
qg6J5A==
        "]]}, 
      {Hue[0.37820393249936934`, 0.6, 0.6], LineBox[CompressedData["
1:eJwt0ntIU3EUB/DrnNvcdO7uaVSilWEpVk5LsPodM+er1DL/0F7q1Jr4CDGp
oH8cQm9Iw1QwDZyaRJkGpiZFkPRQY0nO+Y5sog3ytdS2Vm33HPhxufzO+Zwv
l+uXVXQ8h0VR1P7/x/GsrXFUF9n4wJCWaH1BmPf3JCA/weCvfUdClY4aIjrv
aEX45s94byQRYUevLEwZCOWsadKb3ubXXDlBnO3Kb0Tvv6+1u/4rOZfrKBMZ
WNrwDEpmcH6OFB4eSVXFzZKBfkeZyfDWnoAdvvPoLRBhCMmZWTdj/yK5l5FY
EGD4iXmWCUW/5e89tUgGnfMrJE7va7QNLuG+X+THUvZdW9QKcXF6aySsdOhL
RI8FvXUS6DMi6wxdRc9KqvU+PHXbGno2orBWNQUH/0bPTr5XlvSxn1gxHwXh
6vtnB3b9wfwUHGjJqyjssKPvAsRMv8zdRAEzz4KYg6fVs1MUMPtc4WlNVktg
owsw+dhQntWu3K5hAeOxwdg+Tn8IdgXGcwPVUNAg3+KKHgeyTary8R42elxo
T+taVGrd0OPBcHftBU4CBz0enIms58VLuOi5Q0NuWo5ljIseHzh1ecN/G3no
CWC2KSU+s9AdPQ8YtZ+MFYfz0fOAZOXtOQFLgJ4nqIlcH9MvQE8IHQ/Ttr2u
8kDPC/QNo2VFmZ7AfD4RDCeF2JODhOBszxWBmRsozlgVoi+CW+veddVvvID5
n2h4TkO+VSUC57oaGqKvuz/qeSxCTwwFxmvFN8U0emJIMbmlay7R6InhzoqW
PjFJoycBMsrRxB8WY34JTPq7H0loFaMnhY9eW16liiToSeFGrHHifKkEPSlk
TOtGtOMS9GRwNU62rDskRU8G/TzvssEWKXpyWMsvnrcJZejJIaozqX73RRl6
cpg8ZvHVjMnQU8Dl3gqrLlKOngIKP+3sMzXL0fOGPQuVfoFCBfwDsk+GFQ==

        "]]}},
     AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
     Axes->True,
     AxesOrigin->{0, 0},
     DisplayFunction:>$DisplayFunction,
     FormatType->TraditionalForm,
     PlotRange->{{0., 6.}, {0., 5.798781530463889}},
     PlotRangeClipping->True,
     PlotRangePadding->{
       Scaled[0.02], 
       Scaled[0.02]}], {-1, -0.6180339887498948}, {
    Left, Bottom}, {2, 1.2360679774997896`}], GraphicsGroupBox[{
     {GrayLevel[0], 
      RectangleBox[{-1.15, -0.8680339887498949}, \
{-0.5946280991735535, -0.06803398874989493}]}, 
     {GrayLevel[1], EdgeForm[{GrayLevel[0], Thickness[0.001]}], 
      GraphicsGroupBox[{
        RectangleBox[{-1.2, -0.8180339887498949}, \
{-0.6446280991735536, -0.018033988749894925`}], InsetBox[
         GraphicsBox[{{{InsetBox[
              GraphicsBox[{
                {Hue[0.37820393249936846`, 0.6, 0.6], 
                 LineBox[{{0, 0.5}, {1, 0.5}}]}, {}},
               PlotRange->{{0, 1}, {0, 1}}], {0.08, 0.08}, {
              Left, Bottom}, {1, 1}], 
             InsetBox["\<\"OL-MSRE\"\>", {1.2100000000000002`, 0.58}, {-1, 0},
               Automatic, {1, 0}]}, {InsetBox[
              GraphicsBox[{
                {Hue[0.1421359549995791, 0.6, 0.6], 
                 LineBox[{{0, 0.5}, {1, 0.5}}]}, {}},
               PlotRange->{{0, 1}, {0, 1}}], {0.08, 1.24}, {
              Left, Bottom}, {1, 1}], 
             InsetBox["\<\"OL-MSE\"\>", {1.2100000000000002`, 1.74}, {-1, 0}, 
              Automatic, {1, 0}]}, {InsetBox[
              GraphicsBox[{
                {Hue[0.9060679774997897, 0.6, 0.6], 
                 LineBox[{{0, 0.5}, {1, 0.5}}]}, {}},
               PlotRange->{{0, 1}, {0, 1}}], {0.08, 2.4}, {
              Left, Bottom}, {1, 1}], 
             InsetBox["\<\"CL\"\>", {1.2100000000000002`, 2.9}, {-1, 0}, 
              Automatic, {1, 0}]}, {InsetBox[
              GraphicsBox[{
                {Hue[0.67, 0.6, 0.6], LineBox[{{0, 0.5}, {1, 0.5}}]}, {}},
               PlotRange->{{0, 1}, {0, 1}}], {0.08, 3.56}, {
              Left, Bottom}, {1, 1}], 
             InsetBox["\<\"OL-Rate\"\>", \
{1.2100000000000002`, 4.0600000000000005`}, {-1, 0}, Automatic, {1, 0}]}}, {}},
          AspectRatio->1.44047619047619,
          FormatType->TraditionalForm,
          
          PlotRange->{{-0.1, 3.26}, {-0.1, 
           4.739999999999999}}], {-1.2, -0.8180339887498949}, {
         Left, Bottom}, {0.5553719008264464, 0.7999999999999999}]}]}}]},
  AspectRatio->Automatic,
  Background->None,
  ColorOutput->Automatic,
  ImageSize->{764., Automatic},
  PlotRange->All]], "Output",
 CellChangeTimes->{{3.60318174544483*^9, 3.603181760295497*^9}, 
   3.6031860468068447`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<PlotLegends`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RList", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"RList", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "-", 
          RowBox[{"OutmatOLInfo", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RList", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"RList", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "-", 
          RowBox[{"OutmatCL", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RList", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"RList", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "-", 
          RowBox[{"OutmatOLMSE", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RList", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"RList", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "-", 
          RowBox[{"OutmatOLRec", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], "}"}], 
   ",", 
   RowBox[{"PlotLegend", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<OL-Rate\>\"", ",", "\"\<CL\>\"", ",", "\"\<OL-MSE\>\"", ",", 
      "\"\<OL-MSRE\>\""}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5902310615277567`*^9, 3.590231065488678*^9}, {
  3.590231113899844*^9, 3.590231146227632*^9}, {3.6031817769035597`*^9, 
  3.6031817872618628`*^9}, {3.603182027725338*^9, 3.6031820317212276`*^9}, {
  3.603186051855474*^9, 3.603186055128192*^9}}],

Cell[BoxData[
 GraphicsBox[{InsetBox[
    GraphicsBox[{{}, {}, 
      {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw10ntIU2EUAPCr07Symq+pVHCtBMPQlQ8kle+k/yRYLjGIpLkeLgmki0ap
SM4oSAydIekKZEKJz3zgo6HSXLrdq05mklaSW5qJYrBplK+sbZ174ONyuOf8
zuF+N/ja7bQsV4qi4u3H8XyucoSGyI5MJ8Vor5L/OUdoKlWUFVxMoiIdMUlk
9Omtr9vl+P4TUXuHNRY8qSGUMyyEua7w5U7WEWd55DxhAjVLMan15KbcEd+J
Ym3ZHFnYjP1L5GzegEaS0k6MY45YIZL6+pDl0U70rCT2cNnUxehurLcRy0G5
LehhL+6zRsQPwpvTujVk3Nn/k6hTl/QXDH047xdhKh/PpmsGiIvTWydg5BJT
yt6it0E89ZOh07Va9LZIfrYgtCl7EL1tonzzOr3tqA69HaIo+ltSYdLhfhSs
92YUCZh3uD8FzOJ2ktF1CH0XEOpC9J2lQ9jvCkzrqrHAfRjnCUDyO8j67e4w
7ucGFqn5TMfsMHr2PMuvsypBj547mMYyvsRX6dHbBZaXNYXn5/XoeYC6ylp3
I8yAnieAbcQqzDGg5wl0L3NrpsGA3m7QriS2JJoN6O0BWmqK7hey6O0F8cyr
oa4EFj0vUB5/NqCUs+h5gbWipLaljEVvH1hiu+5caWXR2w/WDxPptlHeOwAm
wZ+JtkUWv58QGNP93M8UR5zlciFIchvo1gAOfSFQY27V0hMc/k/eQOfFGWjC
Eec4lTfINpLjgiUcej6gNa8wpZm85wPUmjiiOIf37PnlqKljhbznC7JL4Y2q
Rxzu7wuQbPXZrOA9P4BDEQuZKt7zA4Xyx9O5Ot6z5x/Pyasbec8fQLzZUdnO
e/5AL6TtzPXwnghA13zqRT/viez369LHDvKeCNSryqZ8Pe8FgDZMNdMzwnv2
PFvqVT7Oe4FgMd3b8HjPkX9o0quS
        "]]}, 
      {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw10gtIU2EUAOA7H2lmOV8zg3RGTGpiDyXFR/+hKEqi1CCDTK6Sj3RmhVAT
MyUsk8KZVC4fu6YYloUmitOh05zbNRWh10qta6YpvZaWGJrm1rkHLj8/55zv
HC6/T0JGdKIVRVFhK5/5vKc0h5pQU9Gm2/tsyf87S6iIAsHibyCBAeZ4QSh5
zznZJxrzb4lWU3stbzSTUJbgCOMfW6kav0Is5QHjRDxsHNzlqyDJSeaYJMzM
/Jis5C72TxPx0NyNzdMqMtBvjq9EHPykb1tGDXomYoowxtt41mH9T0JnLQQb
Xz/GfWZJZDp7P+ZgIxm09P8iWsq4XF3RhPPmiJCWpbWPNROBxZsnlM8GZ62w
Fb0/RGwtuUV829BbIJF3DtX82KRBb5EwE6dDMq060FsiZ+VNxf66TtyPguCN
l70Km7W4PwXC1Mri/Vld6AuAUx1rl+7oxn4r4KbC6NZ33TjPGhQHWsryLjzD
/WyASo47IbXvQc8GtN47YxNu9qBnC5GKk2lv7HTorYLtoVVPQy/q0LMDZqRs
LPyDDj17AGm4Y0F4L3r2YOIK3TpKetFbDUzsiDr7Yy96DsCFSEqPb9WjtwYU
XbW279P06DkC3V7aqXigR88RIOuo6cuoHr21QHulRyU4GdBbB/DcISUuzICe
EzScEb3ck2jA/ycE5lVufWqhgVjKk4Qg9Po8vqXegP5Kfvh740CfAd+TM4jV
l5bKJw3EMk7pDNrDFf3GZd5zgdzrp6o1IhY9F4DaR7M5UhY9F+D21smjdrPo
uQIdOKGMP8Li/q5ABfmpjXEsem7A5McUjch4zw3EqqHMIjnvreRTBx8K83nP
HRjPlMrsIt5zB3qmTfKtlPdEIPZL75BX8Z4IwL+vNaiO90TAOajOhzTwngdw
yX9zSlp4zwMYpWQoWsN764H2Foxe7WLJPwZxoU4=
        "]]}, 
      {Hue[0.1421359549995791, 0.6, 0.6], LineBox[CompressedData["
1:eJw10ntIU3EUB/A7NV8t3ebcDIMWyKJwklmpKf2OWX/4oIY9ICOcLp0EsuEf
RWlskRGU4DJR5h82TTFXy0XlgyZeTbfdfGCGYpQ5NKeV+cgoTe2xde6BH5fL
75zP+XK5O3LUGbleFEUl/jvuZ7XBXe2ESrvtt3ZCSf6/M4RuDfs606wj+2Lc
9YZQD3pc6nw93r8lFsXJF3UdBkJ5ykn2CCk4PVlLPO0xU0SykiMd4TYSVZ67
XMSSct5CJzzC+U9EkxEdef2hhQz0u2uO0FL+rp/Sp+gtktmLRwZKbj3H/iWi
2Z90TTncinmWifEmY4pfbyeDnvnvBJYnImhfK+77QTQj3tNXlzoIx+OtEDCX
F1ZYO9FbJTyRNSH9GY3eGmlbPVgVX9SF3jqJmx9NbIjpRu83kRemBsR+6MZ8
FDgvfTtTX/QS81PAG6o4YOL2oM8Ben3E6l/eg/NeoBlrvqPl9uI+b5AvzEn7
insxnw84BUpz3VQvej4g13bdbUmyobcJ6PR36uYqG3q+IFGbC2QuG3p+IB9P
q7fL7Oj5w2Jj5k6u2o6ePyg+lrq0Jjt6AUDJikdrnHb0AkHfzYl6z3egtxmG
4uNa6w450OMCrzQz6pTKgR4XqMuvm46VOtDbAqB67DdldqAXBPqJ6nNZ/awX
DJqUufzAWQd+Px7QceKNCA5DPO15PJCEy9SfxQz6PKCKVRv6SAb/Jz7QguC9
qYQhnnUGPgBzPClZzqAnAMVZOrshi/UEANqS7ZUFrCcA4x/KFHuF9ULA2b57
W9MNBvOHgLGtstNXz3pCcI6VpV4wsJ4QaLVu65da1hMCdXheWdPEeqGgyI4u
qLKwXijo7EFPZlpYTwSK0SLuPSvriUAiWpjs62I9ERgd9VBkYz0x6JLDf7W9
Yj0xOKfHHWWDrBcG9NH7uQHDDPkL28WiZg==
        "]]}, 
      {Hue[0.37820393249936934`, 0.6, 0.6], LineBox[CompressedData["
1:eJw10ntIU2EUAPDr5nMu3aZtimvMigVlOLMMTfgOpSREZiIiRbSWuvpD5j+h
CMUmIb1WGVnT9VgMYkb5gmw9fJRLndtdovhKjZuJJAjNWjIrWts698Dl4/Cd
8zuHy5eq1hZXcCiKyg18wbOlORgvCaMlPo3jNPmfO4h8amFrrkZPdmcGY5x4
rJ97O0824v0M8eQPehtbTIQKBUOStp//Pqi2kFB55hcin+y/cWlvK9FUBmOJ
mLOHSo5vbsf+ZaJq5cla6rsI7QrGCrEdNMg3VTxHz0NuaiMn55Q2rF8lVJMi
vZR5hfv8ILBloWFM20PcoX4vKbL15fjn+nDeGmFMsdbChLckLOT5iKqw/Giq
4h1666R2NlaWuG0Avd+E4VvK9GI7en+IzdCWseq1o/eXCG5f9/MH3uN+FMBS
HrdJP4j7U/D1Sk12WcYQ+mHQMVE3vXN8CPs5QNXfUno0wziPC0XGmGe1nmHc
Lxz6p2bs96oc6IUDPAxr38E40IsAqHB1rxSMoBcJSsonfGAdQS8K5Mb7Eq9/
BL1o6CguWTMecaIXDZ7u6f1pRid6MWBO5+Yd+OhEjweCO2/8Z8Qu9GJh1O4z
yA670ONDtQjqZi+40OPD6N31zLinLvQ2QLVlzyXphAu9OIBDLnn5L9aLB6Xi
csQ+KY3/TwBmzqzUk0OTUHmlAKhC6RNnKY2+ABiKNxxfTeN7EgKTXv7J10CT
0LhmIeh4HFGvifVEoBpbbGtsY71AzhFce9THeiJgolLOSj6wXgLoZFfzk+dp
3D+Q18R1OZZZLxHMkb0pBT9ZLxF0ry3CTj/rBe4N8xdlMW70NkJ/Vg/XKnSj
F8iTd3nUyW70xECd6upUy93oiUG1OLFgU7jREwNz4lvduTTWkwC8iPM+zmA9
CejyZ6qOZbFeEjDretqU4yb/AC3kniU=
        "]]}},
     AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
     Axes->True,
     AxesOrigin->{0, 0},
     DisplayFunction:>$DisplayFunction,
     FormatType->TraditionalForm,
     PlotRange->{{0., 6.}, {0., 0.23616359266811937`}},
     PlotRangeClipping->True,
     PlotRangePadding->{
       Scaled[0.02], 
       Scaled[0.02]}], {-1, -0.6180339887498948}, {
    Left, Bottom}, {2, 1.2360679774997896`}], 
   GeometricTransformationBox[GraphicsGroupBox[{
      {GrayLevel[0], 
       RectangleBox[{-1.15, -0.8680339887498949}, \
{-0.5946280991735535, -0.06803398874989493}]}, 
      {GrayLevel[1], EdgeForm[{GrayLevel[0], Thickness[0.001]}], 
       GraphicsGroupBox[{
         RectangleBox[{-1.2, -0.8180339887498949}, \
{-0.6446280991735536, -0.018033988749894925`}], InsetBox[
          GraphicsBox[{{{InsetBox[
               GraphicsBox[{
                 {Hue[0.37820393249936846`, 0.6, 0.6], 
                  LineBox[{{0, 0.5}, {1, 0.5}}]}, {}},
                PlotRange->{{0, 1}, {0, 1}}], {0.08, 0.08}, {
               Left, Bottom}, {1, 1}], 
              InsetBox["\<\"OL-MSRE\"\>", {1.2100000000000002`, 0.58}, {-1, 0},
                Automatic, {1, 0}]}, {InsetBox[
               GraphicsBox[{
                 {Hue[0.1421359549995791, 0.6, 0.6], 
                  LineBox[{{0, 0.5}, {1, 0.5}}]}, {}},
                PlotRange->{{0, 1}, {0, 1}}], {0.08, 1.24}, {
               Left, Bottom}, {1, 1}], 
              InsetBox["\<\"OL-MSE\"\>", {1.2100000000000002`, 1.74}, {-1, 0},
                Automatic, {1, 0}]}, {InsetBox[
               GraphicsBox[{
                 {Hue[0.9060679774997897, 0.6, 0.6], 
                  LineBox[{{0, 0.5}, {1, 0.5}}]}, {}},
                PlotRange->{{0, 1}, {0, 1}}], {0.08, 2.4}, {
               Left, Bottom}, {1, 1}], 
              InsetBox["\<\"CL\"\>", {1.2100000000000002`, 2.9}, {-1, 0}, 
               Automatic, {1, 0}]}, {InsetBox[
               GraphicsBox[{
                 {Hue[0.67, 0.6, 0.6], LineBox[{{0, 0.5}, {1, 0.5}}]}, {}},
                PlotRange->{{0, 1}, {0, 1}}], {0.08, 3.56}, {
               Left, Bottom}, {1, 1}], 
              InsetBox["\<\"OL-Rate\"\>", \
{1.2100000000000002`, 4.0600000000000005`}, {-1, 0}, Automatic, {1, 0}]}}, {}},
           AspectRatio->1.44047619047619,
           FormatType->TraditionalForm,
           
           PlotRange->{{-0.1, 3.26}, {-0.1, 
            4.739999999999999}}], {-1.2, -0.8180339887498949}, {
          Left, Bottom}, {0.5553719008264464, 0.7999999999999999}]}]}}], {{
    1.330716776424402, 0.04461969467300775}}]},
  AspectRatio->Automatic,
  Background->None,
  ColorOutput->Automatic,
  ImagePadding->{{0., 603.744492}, {1., 237.727516}},
  ImageSize->{844., Automatic},
  PlotRange->{{-1.212611914600551, -0.5820161845730025}, \
{-0.8801414267664238, -0.005926550733365996}},
  PlotRangePadding->Automatic]], "Input",
 CellChangeTimes->{{3.6031860617751102`*^9, 3.603186062333293*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.6031820419974623`*^9, 3.6031820428954763`*^9}, 
   3.60318605831888*^9}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.603181799932124*^9, 3.603181801474391*^9}, 
   3.603182036714464*^9}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.603181788975452*^9, 3.603181789015499*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.590231860884783*^9, 3.59023186200436*^9}, 
   3.603181789602458*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred_OLInfo.dat\>\""}], ",", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"RList", ",", 
       RowBox[{"RList", "-", "OutmatOLInfo"}]}], "}"}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred_CL.dat\>\""}], ",", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"RList", ",", 
       RowBox[{"RList", "-", "OutmatCL"}]}], "}"}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred_OLMSE.dat\>\""}], ",", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"RList", ",", 
       RowBox[{"RList", "-", "OutmatOLMSE"}]}], "}"}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred_OLRec.dat\>\""}], ",", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"RList", ",", 
       RowBox[{"RList", "-", "OutmatOLRec"}]}], "}"}], "]"}]}], "]"}], ";", 
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred_Coeffs.dat\>\""}], ",", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"RList", ",", "Coeffmat"}], "}"}], "]"}]}], "]"}], ";", 
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred_CoeffsCL.dat\>\""}], ",", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"RList", ",", "CoeffmatCL"}], "}"}], "]"}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.590320148302499*^9, 3.5903202076617107`*^9}, {
  3.590320268872643*^9, 3.590320278568171*^9}, {3.603186068648303*^9, 
  3.603186080311481*^9}, {3.603186213680852*^9, 3.603186218507535*^9}}]
},
WindowSize->{1280, 958},
WindowMargins->{{-1280, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Linux x86 (64-bit) (October 10, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 625, 15, 50, "Input"],
Cell[1185, 37, 526, 17, 50, "Input"],
Cell[1714, 56, 597, 14, 50, "Input"],
Cell[CellGroupData[{
Cell[2336, 74, 334, 11, 30, "Input"],
Cell[2673, 87, 136, 2, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2846, 94, 521, 16, 30, "Input"],
Cell[3370, 112, 186, 3, 30, "Output"]
}, Open  ]],
Cell[3571, 118, 683, 16, 50, "Input"],
Cell[4257, 136, 475, 10, 30, "Input"],
Cell[4735, 148, 717, 20, 30, "Input"],
Cell[CellGroupData[{
Cell[5477, 172, 432, 11, 30, "Input"],
Cell[5912, 185, 268, 7, 30, "Output"]
}, Open  ]],
Cell[6195, 195, 407, 9, 30, "Input"],
Cell[6605, 206, 630, 20, 50, "Input"],
Cell[7238, 228, 828, 20, 50, "Input"],
Cell[8069, 250, 493, 14, 30, "Input"],
Cell[8565, 266, 407, 9, 30, "Input"],
Cell[8975, 277, 1353, 40, 69, "Input"],
Cell[10331, 319, 1638, 45, 88, "Input"],
Cell[11972, 366, 407, 9, 30, "Input"],
Cell[12382, 377, 1142, 33, 69, "Input"],
Cell[13527, 412, 407, 9, 30, "Input"],
Cell[13937, 423, 372, 8, 30, "Input"],
Cell[CellGroupData[{
Cell[14334, 435, 1784, 55, 88, "Input"],
Cell[16121, 492, 756, 15, 58, "Message"],
Cell[16880, 509, 758, 15, 58, "Message"],
Cell[17641, 526, 756, 15, 58, "Message"],
Cell[18400, 543, 612, 13, 23, "Message"],
Cell[19015, 558, 598, 12, 23, "Message"],
Cell[19616, 572, 598, 12, 23, "Message"]
}, Open  ]],
Cell[20229, 587, 407, 9, 30, "Input"],
Cell[20639, 598, 821, 22, 69, "Input"],
Cell[CellGroupData[{
Cell[21485, 624, 586, 18, 50, "Input"],
Cell[22074, 644, 221, 4, 30, "Output"]
}, Open  ]],
Cell[22310, 651, 810, 25, 50, "Input"],
Cell[23123, 678, 407, 9, 30, "Input"],
Cell[23533, 689, 261, 6, 30, "Input"],
Cell[CellGroupData[{
Cell[23819, 699, 1739, 54, 88, "Input"],
Cell[25561, 755, 704, 13, 58, "Message"],
Cell[26268, 770, 702, 13, 58, "Message"],
Cell[26973, 785, 702, 13, 58, "Message"],
Cell[27678, 800, 556, 11, 23, "Message"],
Cell[28237, 813, 544, 10, 23, "Message"],
Cell[28784, 825, 546, 10, 23, "Message"],
Cell[29333, 837, 544, 10, 23, "Message"],
Cell[29880, 849, 559, 11, 23, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30476, 865, 467, 14, 30, "Input"],
Cell[30946, 881, 1414, 29, 233, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32397, 915, 467, 14, 30, "Input"],
Cell[32867, 931, 1274, 27, 233, "Output"]
}, Open  ]],
Cell[34156, 961, 407, 9, 30, "Input"],
Cell[34566, 972, 165, 3, 30, "Input"],
Cell[CellGroupData[{
Cell[34756, 979, 2176, 61, 126, "Input"],
Cell[36935, 1042, 6986, 137, 533, "Output"]
}, Open  ]],
Cell[43936, 1182, 2669, 74, 126, "Input"],
Cell[46608, 1258, 7139, 137, 587, InheritFromParent],
Cell[53750, 1397, 121, 2, 30, InheritFromParent],
Cell[53874, 1401, 118, 2, 30, InheritFromParent],
Cell[53995, 1405, 92, 1, 30, InheritFromParent],
Cell[54090, 1408, 117, 2, 30, "Input"],
Cell[54210, 1412, 2109, 63, 126, "Input"]
}
]
*)

(* End of internal cache information *)
