(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     67981,       1831]
NotebookOptionsPosition[     64615,       1727]
NotebookOutlinePosition[     64950,       1742]
CellTagsIndexPosition[     64907,       1739]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"In", " ", "this", " ", "notebook"}], ",", " ", 
   RowBox[{
    RowBox[{
    "I", " ", "evaluate", " ", "the", " ", "information", " ", "rate", " ", 
     "obtained", " ", "by", " ", "quantizing", " ", "a", " ", "first"}], "-", 
    
    RowBox[{
    "order", " ", "MA", " ", "process", " ", "with", " ", "a", " ", 
     "second"}], "-", 
    RowBox[{"order", " ", "predictor"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.59022916789118*^9, 3.590229169790275*^9}, {
  3.590229366928423*^9, 3.590229391855488*^9}, {3.590229460907075*^9, 
  3.590229479849024*^9}, {3.590305036787808*^9, 3.5903050380528097`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Sx", "[", "t_", "]"}], ":=", 
   RowBox[{"4", 
    RowBox[{
     RowBox[{"Cos", "[", 
      RowBox[{"t", "/", "2"}], "]"}], "^", "2"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"H", "[", 
    RowBox[{"t_", ",", "c1_", ",", "c2_"}], "]"}], ":=", 
   RowBox[{"1", "+", 
    RowBox[{"c1", "^", "2"}], "+", 
    RowBox[{"c2", "^", "2"}], "+", 
    RowBox[{"2", "*", "c1", "*", 
     RowBox[{"(", 
      RowBox[{"1", "+", "c2"}], ")"}], "*", 
     RowBox[{"Cos", "[", "t", "]"}]}], "+", 
    RowBox[{"2", "*", "c2", "*", 
     RowBox[{"Cos", "[", 
      RowBox[{"2", "t"}], "]"}]}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.590229488024412*^9, 3.590229493801169*^9}, {
  3.590305227742393*^9, 3.5903052590833693`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Consistency", " ", 
    RowBox[{"Check", ":", " ", 
     RowBox[{
     "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "=="}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Assume", " ", "that", " ", "Sigma_x", "*", "Delta"}], "=", "1"}],
    " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.590229516260744*^9, 3.59022955915373*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"1", "/", "4"}], "/", "Pi"}], "*", 
  RowBox[{"NIntegrate", "[", 
   RowBox[{
    RowBox[{"Log", "[", 
     RowBox[{"1", "+", 
      RowBox[{"Sx", "[", "t", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", 
      RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData["0.481211825059604`"], "Output",
 CellChangeTimes->{3.5902295816447906`*^9, 3.590230305847817*^9, 
  3.590305267799526*^9, 3.590305323890669*^9, 3.6031825156880608`*^9, 
  3.6031837969671307`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"1", "/", "4"}], "/", "Pi"}], "*", 
  RowBox[{"NIntegrate", "[", 
   RowBox[{
    RowBox[{"Log", "[", 
     RowBox[{"1", "+", 
      RowBox[{
       RowBox[{"Sx", "[", "t", "]"}], "*", 
       RowBox[{"H", "[", 
        RowBox[{"t", ",", 
         RowBox[{"-", "0.66666"}], ",", "0.33333"}], "]"}]}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", 
      RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5902296304373817`*^9, 3.5902296497078543`*^9}, {
  3.590305317342576*^9, 3.590305320592239*^9}}],

Cell[BoxData["0.40421614131274475`"], "Output",
 CellChangeTimes->{
  3.590229587535904*^9, {3.59022963120822*^9, 3.590229650174818*^9}, 
   3.5902303070212393`*^9, 3.590305321504449*^9, 3.6031825170134172`*^9, 
   3.603183796150288*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Indeed", ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"the", " ", "closed"}], "-", 
     RowBox[{"loop", " ", "predictor", " ", 
      RowBox[{"(", "above", ")"}], " ", "is", " ", "better", " ", "than", " ",
       "the", " ", "open"}], "-", 
     RowBox[{"loop", " ", "predictor"}]}], ";", " ", 
    RowBox[{
     RowBox[{
     "I", " ", "also", " ", "varied", " ", "the", " ", "coefficient", " ", 
      "of", " ", "the", " ", "latter", " ", "between"}], " ", "-", 
     RowBox[{"0.4", " ", "and"}], " ", "-", 
     RowBox[{"0.5", "."}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.59022958929428*^9, 3.590229667978033*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"===", "===", "===", "===", "===", "===", "===", "===", 
   RowBox[{"==", 
    RowBox[{"=", 
     RowBox[{"=", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "===", "===", "=="}]}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.590229677185996*^9, 3.5902296786988792`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"P", "[", 
   RowBox[{"c1_", ",", "c2_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"1", "/", "2"}], "/", "Pi"}], "*", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Sx", "[", "t", "]"}], "*", 
      RowBox[{"H", "[", 
       RowBox[{"t", ",", "c1", ",", "c2"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}], "      ", 
   RowBox[{"(*", " ", 
    RowBox[{"Power", " ", "of", " ", "the", " ", "filter", " ", "output"}], 
    " ", "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.590229719513073*^9, 3.590229731003084*^9}, {
  3.590230244132058*^9, 3.590230247644573*^9}, {3.5902303344108152`*^9, 
  3.5902303400594683`*^9}, {3.590305279826785*^9, 3.590305285402342*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"FindMinimum", "[", 
   RowBox[{
    RowBox[{"P", "[", 
     RowBox[{"c1", ",", "c2"}], "]"}], ",", "c1", ",", "c2"}], "]"}], 
  "       ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Optimum", " ", "filter", " ", "coefficient", " ", "for", " ", "closed"}],
     "-", 
    RowBox[{"loop", " ", 
     RowBox[{"prediction", "/", "MSE"}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.590229741087824*^9, 3.590229760280437*^9}, {
  3.590230264513907*^9, 3.590230265128731*^9}, {3.590305289155497*^9, 
  3.590305297227416*^9}, {3.590305367340582*^9, 3.590305429643375*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.3333333333333335`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"c1", "\[Rule]", 
      RowBox[{"-", "0.6666666667925313`"}]}], ",", 
     RowBox[{"c2", "\[Rule]", "0.333333333485956`"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.59254882919916*^9, 3.60318252009901*^9, 
  3.6031838000887203`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.3333333333333335`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"c1", "\[Rule]", 
      RowBox[{"-", "0.6666666667925313`"}]}], ",", 
     RowBox[{"c2", "\[Rule]", "0.333333333485956`"}]}], "}"}]}], 
  "}"}]], "Input",
 CellChangeTimes->{3.590305510392791*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.3333333333333335`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"c1", "\[Rule]", 
      RowBox[{"-", "0.6666666667925313`"}]}], ",", 
     RowBox[{"c2", "\[Rule]", "0.333333333485956`"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.603183801062639*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"C1OptMSE", "=", 
   RowBox[{"c1", "/.", 
    RowBox[{"Last", "[", 
     RowBox[{"FindMinimum", "[", 
      RowBox[{
       RowBox[{"P", "[", 
        RowBox[{"c1", ",", "c2"}], "]"}], ",", "c1", ",", "c2"}], "]"}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"C2OptMSE", "=", 
   RowBox[{"c2", "/.", 
    RowBox[{"Last", "[", 
     RowBox[{"FindMinimum", "[", 
      RowBox[{
       RowBox[{"P", "[", 
        RowBox[{"c1", ",", "c2"}], "]"}], ",", "c1", ",", "c2"}], "]"}], 
     "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.590305516537191*^9, 3.590305543179467*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"===", "===", "===", "===", "===", "===", "===", "===", 
   RowBox[{"==", 
    RowBox[{"=", 
     RowBox[{"=", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "===", "===", "=="}]}]}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"RList", "=", 
   RowBox[{"Range", "[", 
    RowBox[{"0.1", ",", "6", ",", "0.1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"DList", "=", 
    RowBox[{"1", "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Exp", "[", 
        RowBox[{"2", "*", "RList"}], "]"}], "-", "1"}], ")"}]}]}], ";"}], 
  "            ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Rate", " ", "Constraint", " ", "and", " ", "corresponding", " ", 
    "distortion"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.59022980323302*^9, 3.590229821920929*^9}, 
   3.5902314882753468`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"===", "===", "===", "===", "===", "===", "===", "===", 
    RowBox[{"==", 
     RowBox[{"=", 
      RowBox[{"=", 
       RowBox[{
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
         "===", "===", "===", "===", "=="}]}]}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "For", " ", "CL", " ", "we", " ", "need", " ", "to", " ", "consider", " ",
      "that", " ", "the", " ", "feedback"}], "-", 
    RowBox[{
    "loop", " ", "adds", " ", "noise", " ", "to", " ", "the", " ", 
     "quantizer", " ", "input"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.603176629089306*^9, 3.603176656575502*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"PCL", "[", 
   RowBox[{"c1_", ",", "c2_", ",", "D_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"P", "[", 
    RowBox[{"c1", ",", "c2"}], "]"}], "/", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"D", "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"c1", "^", "2"}], "+", 
        RowBox[{"c2", "^", "2"}]}], ")"}]}]}], ")"}], "      ", 
   RowBox[{"(*", " ", 
    RowBox[{"Power", " ", "at", " ", "quantizer", " ", "input"}], " ", 
    "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.603176616615715*^9, 3.603176616798559*^9}, {
  3.603176692709663*^9, 3.603176735052635*^9}, {3.603182379471354*^9, 
  3.60318240009613*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"===", "===", "===", "===", "===", "===", "===", "===", 
   RowBox[{"==", 
    RowBox[{"=", 
     RowBox[{"=", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "===", "===", "=="}]}]}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Setting", " ", "the", " ", "Information", " ", "Rates", " ", "for", " ", 
     "Open"}], "-", 
    RowBox[{"Loop", " ", "Prediction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"IntegrandOL", "[", 
     RowBox[{"t_", ",", "c1_", ",", "c2_", ",", "D_"}], "]"}], ":=", 
    RowBox[{"1", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Sx", "[", "t", "]"}], "*", 
        RowBox[{"H", "[", 
         RowBox[{"t", ",", "c1", ",", "c2"}], "]"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"D", "*", 
        RowBox[{"P", "[", 
         RowBox[{"c1", ",", "c2"}], "]"}]}], ")"}]}]}]}], ";", 
   RowBox[{
    RowBox[{"InfoOL", "[", 
     RowBox[{
      RowBox[{"c1_", "?", "NumericQ"}], ",", 
      RowBox[{"c2_", "?", "NumericQ"}], ",", 
      RowBox[{"D_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "/", "4"}], "/", "Pi"}], "*", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"Log", "[", 
        RowBox[{"IntegrandOL", "[", 
         RowBox[{"t", ",", "c1", ",", "c2", ",", "D"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.590229994899171*^9, 3.5902300452287397`*^9}, 
   3.590230225694017*^9, {3.590230272510206*^9, 3.5902302727668467`*^9}, {
   3.590305439127931*^9, 3.5903054747287273`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Setting", " ", "the", " ", "Information", " ", "Rates", " ", "for", " ", 
     "Closed"}], "-", 
    RowBox[{"Loop", " ", "Prediction"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"IntegrandCL", "[", 
     RowBox[{"t_", ",", "c1_", ",", "c2_", ",", "D_"}], "]"}], ":=", 
    RowBox[{"1", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"Sx", "[", "t", "]"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"D", "*", 
        RowBox[{"PCL", "[", 
         RowBox[{"c1", ",", "c2", ",", "D"}], "]"}]}], ")"}]}]}]}], ";", 
   RowBox[{
    RowBox[{"InfoCL", "[", 
     RowBox[{
      RowBox[{"c1_", "?", "NumericQ"}], ",", 
      RowBox[{"c2_", "?", "NumericQ"}], ",", 
      RowBox[{"D_", "?", "NumericQ"}]}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "/", "4"}], "/", "Pi"}], "*", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"Log", "[", 
        RowBox[{"IntegrandCL", "[", 
         RowBox[{"t", ",", "c1", ",", "c2", ",", "D"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.590230057793666*^9, 3.590230068522025*^9}, 
   3.590230230198626*^9, {3.590230274685635*^9, 3.590230274876635*^9}, {
   3.590305464039196*^9, 3.590305493009817*^9}, {3.603182448839797*^9, 
   3.6031824521188297`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"===", "===", "===", "===", "===", "===", "===", "===", 
   RowBox[{"==", 
    RowBox[{"=", 
     RowBox[{"=", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "===", "===", "=="}]}]}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Open", "-", 
    RowBox[{"Loop", " ", "Predictor", " ", "with", " ", "MSE"}], "-", 
    RowBox[{"optimal", " ", "coefficient", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "0.666"}], ",", "0.333"}], ")"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"OutmatOLMSE", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      SubscriptBox["m", "j"], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", 
        RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], ";", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"j", "=", "1"}], ",", 
     RowBox[{"j", "<", 
      RowBox[{
       RowBox[{"Length", "[", "DList", "]"}], "+", "1"}]}], ",", 
     RowBox[{"j", "++"}], ",", 
     RowBox[{
      RowBox[{"OutmatOLMSE", "[", 
       RowBox[{"[", "j", "]"}], "]"}], "=", 
      RowBox[{"InfoOL", "[", 
       RowBox[{"C1OptMSE", ",", "C2OptMSE", ",", 
        RowBox[{"DList", "[", 
         RowBox[{"[", "j", "]"}], "]"}]}], "]"}]}]}], "]"}], ";"}]}]], "Input",\

 CellChangeTimes->{{3.5902298870533533`*^9, 3.590229975974478*^9}, {
  3.590230047364126*^9, 3.5902300475075197`*^9}, {3.590305551016624*^9, 
  3.590305576196437*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"===", "===", "===", "===", "===", "===", "===", "===", 
   RowBox[{"==", 
    RowBox[{"=", 
     RowBox[{"=", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "===", "===", "=="}]}]}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Closed", "-", 
   RowBox[{"Loop", " ", "Predictor", " ", "with", " ", "MSE"}], "-", 
   RowBox[{"optimal", " ", "coefficient", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "0.666"}], ",", "0.333"}], ")"}]}]}], " ", "*)"}]], "Input",\

 CellChangeTimes->{{3.590230124288561*^9, 3.590230142385479*^9}, {
  3.5903055822067747`*^9, 3.590305586713873*^9}, {3.603182507845286*^9, 
  3.603182508917536*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"OutmatCL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SubscriptBox["m", "j"], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CoeffmatCL1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SubscriptBox["m", "j"], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CoeffmatCL2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SubscriptBox["m", "j"], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], ";", 
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"j", "=", "1"}], ",", 
    RowBox[{"j", "<", 
     RowBox[{
      RowBox[{"Length", "[", "DList", "]"}], "+", "1"}]}], ",", 
    RowBox[{"j", "++"}], ",", 
    RowBox[{
     RowBox[{"DummyList", "=", 
      RowBox[{"FindMaximum", "[", 
       RowBox[{
        RowBox[{"InfoCL", "[", 
         RowBox[{"c1", ",", "c2", ",", 
          RowBox[{"DList", "[", 
           RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"c1", ",", 
          RowBox[{"-", "0.66"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"c2", ",", "0.33"}], "}"}]}], "]"}]}], ";", 
     RowBox[{
      RowBox[{"OutmatCL", "[", 
       RowBox[{"[", "j", "]"}], "]"}], "=", 
      RowBox[{"First", "[", "DummyList", "]"}]}], ";", 
     RowBox[{
      RowBox[{"CoeffmatCL1", "[", 
       RowBox[{"[", "j", "]"}], "]"}], "=", 
      RowBox[{"c1", "/.", 
       RowBox[{"Last", "[", "DummyList", "]"}]}]}], ";", 
     RowBox[{
      RowBox[{"CoeffmatCL2", "[", 
       RowBox[{"[", "j", "]"}], "]"}], "=", 
      RowBox[{"c2", "/.", 
       RowBox[{"Last", "[", "DummyList", "]"}]}]}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6031824811010036`*^9, 3.6031825033975687`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMaximum", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within the \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient increase in the function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/FindMaximum\\\", ButtonNote -> \
\\\"FindMaximum::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.603182572575263*^9, 3.603183848124851*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMaximum", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within the \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient increase in the function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/FindMaximum\\\", ButtonNote -> \
\\\"FindMaximum::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.603182572575263*^9, 3.603183881293654*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMaximum", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within the \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient increase in the function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/FindMaximum\\\", ButtonNote -> \
\\\"FindMaximum::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.603182572575263*^9, 3.603183887875875*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(FindMaximum :: lstol\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.603182572575263*^9, 3.603183887924919*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMaximum", "::", "sdprec"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Line search unable to find a sufficient increase in the \
function value with \[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digit \
precision. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\
\\\", ButtonFrame->None, ButtonData:>\\\"paclet:ref/FindMaximum\\\", \
ButtonNote -> \\\"FindMaximum::sdprec\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.603182572575263*^9, 3.603184173158889*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"===", "===", "===", "===", "===", "===", "===", "===", 
   RowBox[{"==", 
    RowBox[{"=", 
     RowBox[{"=", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "===", "===", "=="}]}]}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Open", "-", 
    RowBox[{"Loop", " ", "Predictor", " ", "with", " ", "half"}], "-", 
    RowBox[{"whitening", " ", "solution", " ", 
     RowBox[{"(", 
      RowBox[{"MSRE", "-", "optimal"}], ")"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"MSRE", " ", "=", " ", 
    RowBox[{
    "P", "*", "Noise", " ", "Gain", " ", "of", " ", "the", " ", "inverse", 
     " ", "filter"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{
  3.5902299545955772`*^9, {3.590230157166336*^9, 3.590230189760152*^9}, {
   3.590230382098014*^9, 3.590230400519732*^9}, {3.590305635777831*^9, 
   3.590305637159636*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NG", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"1", "/", "2"}], "/", "Pi"}], "*", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{"1", "/", 
      RowBox[{"H", "[", 
       RowBox[{"t", ",", "c1", ",", "c2"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.590306660821652*^9, 3.590306667303954*^9}, {
  3.592546589797543*^9, 3.592546639882037*^9}, {3.592548603359551*^9, 
  3.5925486041425667`*^9}}],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{3.592546961667181*^9, 3.6031831939300117`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "The", " ", "result", " ", "obtained", " ", "by", " ", "integration", " ",
      "is", " ", "not", " ", "useful"}], ",", " ", "since", ",", " ", 
    RowBox[{"I", " ", "think"}], ",", " ", 
    RowBox[{"there", " ", "are", " ", "some", " ", "assumptions", " ", 
     RowBox[{"missing", ".", " ", 
      RowBox[{"However", ":"}]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"zp1", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "c1"}], "/", "2"}], "+", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"c1", "^", "2"}], "/", "4"}], "-", "c2"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"zp2", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "c1"}], "/", "2"}], "-", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"c1", "^", "2"}], "/", "4"}], "-", "c2"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"A", "=", 
     RowBox[{
      RowBox[{"-", "zp1"}], "/", 
      RowBox[{"(", 
       RowBox[{"zp2", "-", "zp1"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"B", "=", 
     RowBox[{"zp2", "/", 
      RowBox[{"(", 
       RowBox[{"zp2", "-", "zp1"}], ")"}]}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.592548609946662*^9, 3.592548713724868*^9}, 
   3.600752321681847*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NG", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"A", "^", "2"}], "/", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"zp1", "^", "2"}]}], ")"}]}], "+", 
    RowBox[{
     RowBox[{"B", "^", "2"}], "/", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"zp2", "^", "2"}]}], ")"}]}], "+", 
    RowBox[{"2", "*", "A", "*", 
     RowBox[{"B", "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"zp1", "*", "zp2"}]}], ")"}]}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5925487202434387`*^9, 3.592548755525588*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"1", "+", "c2"}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "c2"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["c1", "2"]}], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "c2"}], ")"}], "2"]}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.5925487573708467`*^9, 3.603183197047381*^9, 
  3.60318420420691*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"NoiseGain", "[", 
   RowBox[{"c1_", ",", "c2_"}], "]"}], ":=", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{"1", "+", "c2"}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "c2"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["c1", "2"]}], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", "c2"}], ")"}], "2"]}], ")"}]}]]}]}]], "Input",
 CellChangeTimes->{{3.5925487889783287`*^9, 3.592548797522809*^9}, 
   3.592553471661504*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dummy", "=", 
  RowBox[{"FindMinimum", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NoiseGain", "[", 
      RowBox[{"c1", ",", "c2"}], "]"}], "*", 
     RowBox[{"P", "[", 
      RowBox[{"c1", ",", "c2"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"c1", ",", 
      RowBox[{"-", "0.66"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"c2", ",", "0.3"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5925488022673683`*^9, 3.5925488196677094`*^9}, {
  3.592549203953113*^9, 3.592549205672634*^9}, {3.592549272880661*^9, 
  3.5925493091643744`*^9}, {3.592553101974204*^9, 3.592553128923484*^9}, {
  3.592553223636161*^9, 3.5925532438305397`*^9}, {3.592553475887374*^9, 
  3.592553477067583*^9}, {3.592553531223713*^9, 3.5925535333650827`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.6736473041529152`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"c1", "\[Rule]", 
      RowBox[{"-", "0.34784995231155064`"}]}], ",", 
     RowBox[{"c2", "\[Rule]", "0.1373061504123455`"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.5925532372813597`*^9, 3.5925532448554707`*^9}, 
   3.592553478568716*^9, 3.592553534928108*^9, 3.6031832002712584`*^9, 
   3.6031842068760777`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"C1MSRE", "=", 
   RowBox[{"c1", "/.", 
    RowBox[{"Last", "[", "dummy", "]"}]}]}], ";", 
  RowBox[{"C2MSRE", "=", 
   RowBox[{"c2", "/.", 
    RowBox[{"Last", "[", "dummy", "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.592553537642458*^9, 3.592553560500216*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OutmatOLMSRE", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SubscriptBox["m", "j"], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"j", "=", "1"}], ",", 
    RowBox[{"j", "<", 
     RowBox[{
      RowBox[{"Length", "[", "DList", "]"}], "+", "1"}]}], ",", 
    RowBox[{"j", "++"}], ",", 
    RowBox[{
     RowBox[{"OutmatOLMSRE", "[", 
      RowBox[{"[", "j", "]"}], "]"}], "=", 
     RowBox[{"InfoOL", "[", 
      RowBox[{"C1MSRE", ",", "C2MSRE", ",", 
       RowBox[{"DList", "[", 
        RowBox[{"[", "j", "]"}], "]"}]}], "]"}]}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.592553578486826*^9, 3.5925535881768303`*^9}, {
  3.592553765155374*^9, 3.592553773202853*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"===", "===", "===", "===", "===", "===", "===", "===", 
   RowBox[{"==", 
    RowBox[{"=", 
     RowBox[{"=", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "===", "===", "=="}]}]}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Open", "-", 
   RowBox[{
   "Loop", " ", "Predictor", " ", "Maximizing", " ", "the", " ", 
    "Information", " ", "Rate"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.590230505591901*^9, 3.590230522816115*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"OutmatOLInfo", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SubscriptBox["m", "j"], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Coeffmat1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SubscriptBox["m", "j"], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Coeffmat2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SubscriptBox["m", "j"], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], ";", 
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"j", "=", "1"}], ",", 
    RowBox[{"j", "<", 
     RowBox[{
      RowBox[{"Length", "[", "DList", "]"}], "+", "1"}]}], ",", 
    RowBox[{"j", "++"}], ",", 
    RowBox[{
     RowBox[{"DummyList", "=", 
      RowBox[{"FindMaximum", "[", 
       RowBox[{
        RowBox[{"InfoOL", "[", 
         RowBox[{"c1", ",", "c2", ",", 
          RowBox[{"DList", "[", 
           RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"c1", ",", 
          RowBox[{"-", "0.66"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"c2", ",", "0.33"}], "}"}]}], "]"}]}], ";", 
     RowBox[{
      RowBox[{"OutmatOLInfo", "[", 
       RowBox[{"[", "j", "]"}], "]"}], "=", 
      RowBox[{"First", "[", "DummyList", "]"}]}], ";", 
     RowBox[{
      RowBox[{"Coeffmat1", "[", 
       RowBox[{"[", "j", "]"}], "]"}], "=", 
      RowBox[{"c1", "/.", 
       RowBox[{"Last", "[", "DummyList", "]"}]}]}], ";", 
     RowBox[{
      RowBox[{"Coeffmat2", "[", 
       RowBox[{"[", "j", "]"}], "]"}], "=", 
      RowBox[{"c2", "/.", 
       RowBox[{"Last", "[", "DummyList", "]"}]}]}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.590230540551511*^9, 3.590230558375581*^9}, 
   3.590306677050961*^9, {3.590306715655806*^9, 3.590306733921311*^9}, {
   3.5903068166707*^9, 3.5903068670138483`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMaximum", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within the \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient increase in the function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/FindMaximum\\\", ButtonNote -> \
\\\"FindMaximum::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.603183231609797*^9, 3.603184226974223*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMaximum", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within the \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient increase in the function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/FindMaximum\\\", ButtonNote -> \
\\\"FindMaximum::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.603183231609797*^9, 3.603184234314513*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"FindMaximum", "::", "lstol"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"The line search decreased the step size to within the \
tolerance specified by AccuracyGoal and PrecisionGoal but was unable to find \
a sufficient increase in the function. You may need more than \
\[NoBreak]\\!\\(MachinePrecision\\)\[NoBreak] digits of working precision to \
meet these tolerances. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/FindMaximum\\\", ButtonNote -> \
\\\"FindMaximum::lstol\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.603183231609797*^9, 3.603184241804768*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\(FindMaximum :: lstol\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.603183231609797*^9, 3.603184241806775*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RList", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"Coeffmat1", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RList", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"Coeffmat2", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5902308503354607`*^9, 3.5902308918333483`*^9}, 
   3.5903068940458727`*^9, {3.590306928355998*^9, 3.5903069356859217`*^9}, {
   3.5903118304434023`*^9, 3.5903118331407633`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw10ntIU3EUB/DNLN+1TecsLXxESZOZTcXa9HdMzVc69b8Uy5opSpApZkOl
VSpSSiEup0L0AEHMP5LUHuQ1H1ztMQpTWi/qPpr2ECWZq1Ry6/c7cLn8uOd8
zpcfN+jE6ZyTTgKBQL3+2N8d7fZ6iAasjdoLS1+o/+dJVJamfpalYKhIpb2m
UIOwvq2/kMHfzaj1Xu+0u5GhBI76jPShgTVXJxjK0a5k0XZz0vEyK0MVF9nr
K2LzQxlTEIvn59DFJzeGxtJY6uULe/1A8fKViuIzLPYWUNTEffOkgfQvopAQ
A7c6yOI8vxAV0pcjfctSJsf8EhLWdoiDrSzeZ0WBY1PT0RKOEjo8G/JT3Y0s
DuOw9xvZ6kY1dCKHvb8oosNl26k8DnsryJaQvFxaxmFvDQ2q2RnzJQ7nE8DM
t7hqk4HD+QWge55iOdpFfCH0xWjpm/1k3gnCdbS8e5Ts2wBGZY9b8yuSzxm2
el3WF3wgnjPU7aaN0RbibQRF13s6aJF4m+CdsY9X/iGeCzQx8dm1Tjz2XGG5
+hDj5c5jzxXEjcONSyIee25goT1UcTIee+5wLl47YAvgsecBpd8XWhXBxPOE
No1/1fwu4nlCwgHaE8mJ5wVHhtPD5OHE2wwF2pLcx/uItwWeZoevLkfx+P5E
UJNjCJyN4SlHe5EIOi3H5ltUxBdB5Q69di2Wx/+TGMIefGreCzzlWNcuhvIM
dZTiIPEk0PBxtmAlgXgS+GlqH+lMIp4E8nP37PRPJp43uOzXJ1ekkPze0KW8
LutJJZ4PZN4J6B5PI54PXBm6rRtPJ54PlCj1ut7DxJNC6mspOp9BPCmkSyrL
YzOJ5wtDkryRuUzi+YLqlrW7XkM8X2iqKnwjySKeDPyDNddasogng0fa8rxN
2cTzg8qIxLOl6+d/6Q/BBA==
     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw10mtIk2EUB/DNvGymc27zsgxj5QURjFJJMz0nMV2lH7IslEortLSZFyRN
i9TKPkSiJOUqapSCt8gsWEKlmWmam7u9H1ZZYl4aimXN1LzV1vMceHh5ec75
nT8vr+R4TmK6DYvF2vHvWJ635ZZqhwXfAFONQQX/3/vgvU33p7l6NYQEW0oP
3xw1Y9GyQXJvBB5TsSFWpAGWtYbhfP7U3NtsDVjbg7/CUJIq9EuXBk5mWGoc
ODe9jC+EWjJvgn1touULaVpQDVhqCmRZavP2Ri3xfkCTLm2WM037Z2CiV6hY
CtKRPL8go/yMc6BMB2rrvBlcinSFzfU6su83dJXuzLv1UQdsqzcP0uQQrSNP
T7wFGK5tK/eJ1BNvEcIVPHu7TD3xlqBvRVI8WK0n3gocHiiJaFDqST4WVtfx
lc8+6El+FsZk1ZrXLVKfjflv2FfYYgOZt8GfuZXxlSEGsm8N/mnsFE8kGEg+
Wxxq8SzZkm4gni2Gm3qjqooNxLPDSbmti18l9exx6txkoUhBPQdc3J/7qLiV
ehxscwtsPttBPQ56t9/19lVRj4sFScf87xup54jc5Qf2q6PUW4utT27EJX+n
nhMmjR9s6p+nnhOmxjWMpLIZ4jkjPJQcCeIyxONhR4VMHctniOeCPikn4trd
GfL9+Jgy6y2tWc+AtT2Dj0WH5DgmYYjPx5VNigPP/RjyP7li2+eZV+JABqzr
5K6YcnkkW7CZegIM7Xja07KVegIs4+UZTaHUE2BBVWLqRBj1hHjt5Z3cmxE0
vxDvBVzysouinggLhNzMcKSeCJck04/DoqknwtXCd2aHGOq5YefrHGnzLuq5
YXdE6zb/OOq542lOT9FFKfXccbRc7KHcTT13PFoXOa/ZQz0PnLx6akCzl3oe
uBB9fVkZTz1PLOvfyC5NYOAvMRKlHQ==
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{0., 6.}, {-0.6661884603395679, 0.3328552256672666}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.5903109967589073`*^9, 3.5903118340717983`*^9, 
  3.603183737701853*^9, 3.603184662253376*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RList", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"CoeffmatCL1", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RList", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"CoeffmatCL2", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6031846703301907`*^9, 3.603184673346663*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw90n1IU1EUAPA3v3Nq7ktNQdPSoEwDNdPEe7CY2aalvkd/NBRjzqJMGFFE
mSRIWWql1pYZokioVEImWAhPSzBhykAzTZzLvSdmhumk0mK1zXt34HE5vHN+
53C5kWfK8ordKIpKs3+Os+mxI96ggQ71olDVx27lI0i195p+3/5hNjHBEeNo
7tGS1lxpxP+nUbuaCtV/nmApZ5hRtGY1qe7pFOssT7Cg453R1SvGGbZE44gF
dHZ+oe9dhQn3f0X9oeWCmyozO2pwxDJ6Lew1N8i/YO8HqqvS9UR5zeP6VXRV
VWS91DaP97GiB/mG8k+RFnbM2b+Obn30NeiqLXjeT5RzaGosxGRhBU7vN+ot
fSVfi+Kwt4FqC6tOiU5z2PuDqOCe+5O3Oez9RQEVz+/Fv+SwZ0NSmb/ghYHD
+1EQt7TjewPP4f0pWOsytC9vEF8AGXHrc7W+PO53g/UD7pkxITye5w7dIo/6
o7t4vJ8HVEr0rapYHnse0M0V+I8m8NjzhMXQc3mWFOJ5gU1gVJvSiecNzbob
/asZxPOBQWZyIFNOPB/YbBG+d8si3jbo0Yin0xXE84WWDo1Mkk08IcykHrtT
n0M8P9AxykLDCeL5wfCsOmv0JPH8oSCi6W1LLvECICa++oMij3jbYcSUPDJl
z7euLxBirUMRynyedZZrAoGarWruyid+IFwUyrlf9nzrPYmA1iZnJ9M86xz3
WARDjXvSztPEE0NjyZWahzTxxGBKsSj7aOKJocwQPj5BE08Cxru07RtN9pfA
s4Ol8f9cnhQu2wrGAxjiSSFXa2wLY4gnBTajaCWaIZ4MTFphZxxDPBmE7Y7t
TWKIFwRKRU3uYZcXBPoLqTvB5QXBZnii9YjLC4Zp7ydemS4vGNqLr3dkubwQ
8GxlBhX2/D9lT784
     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw90gtIk1EUAOBNp85aOrf5ICxtZmRiNWcswzpH7eUjNd2KzNJqW9byAdI7
ykdZYTVTMhwkmhZqpmE1tcwCRSwfZdufrUyMSoremJEtIrfu3YGfy+E/5zuH
y52zPStRZcdiscKmPsupK7dEGwTXBCaPpuXD//whzA97oR1aWQkhUksYwE96
R23k3iD/TZClOZ/H7WkFljVG4dJwzBVdxwOwlkvfgEm0UnOtrwt2qi0xBovD
zi3Q7eoh/R9gYVNbXunpXujvs8QnMC27yRtdNEC8b1AG9hu6pE9I/XdwSFWY
o3wGyT7jEKAyFde9HoQBa/8PqGm8Ly7Me0rm/YSC1NsurRwDsK3eLwgKSMmE
bAPxJoEdLS6N7zEQzwxfzQ0aNd9IvD9woftqkjrGSLy/4B8RXNp42Ej2Y2Hn
WV+BpNpI9mdhzYRJVthpJD4bPVV+Q+ZXtN8Ovdsjt1aPG8k8e5QcqChIcWDI
fhx8NMtv7oiQIR4Hx7S53fd8GOI5oERZ8n5vAEM8RwwZnl29W8IQzwnL0848
+yyjHhcztBtbIpZTj4uyqhKXynDqOWPxy+tM8CrqTcPH0rsnfNZSbzoeZafX
HY+mHg+jc7orD8VSj4cagy7XPY56M9DBLcdfHU89F4zS+yoPJlDPFdMTNjlu
Xs+Q++Pjlj3PlcJEBqzlaj4m8GPL6hOpz8d3jU5F85IY8p7c8Ei/srZoKreO
K3fD9JDIppEk6glQkBlfJZZTT4DeFfrYZDn1BMh2XdJ+Uk49IS6tDWppkNP9
hXjqS9zlXjn1RKitvZj/1uaJUPWx2W7S5olw3Y5QnbOCeu6YNVGg8VRQzx15
gozfYgX1PHBNYb0+UEE9D2wOn7lNqqCeBx6TDe0PtXme2HfLbd8Km+eJBi91
WYTN88LsDj1n9VT+D9Wukqk=
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{0., 6.}, {-0.6666620994629119, 0.33332968197189583`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.603184674122631*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"===", "===", "===", "===", "===", "===", "===", "===", 
   RowBox[{"==", 
    RowBox[{"=", 
     RowBox[{"=", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
       "===", "===", "===", "===", "=="}]}]}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Displaying", " ", "Results"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.590230835174204*^9, 3.590230840143662*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<PlotLegends`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RList", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"OutmatOLInfo", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RList", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"OutmatCL", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RList", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"OutmatOLMSE", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RList", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"OutmatOLMSRE", "[", 
          RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], "}"}], 
   ",", 
   RowBox[{"PlotLegend", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<OL-Rate\>\"", ",", "\"\<CL\>\"", ",", "\"\<OL-MSE\>\"", ",", 
      "\"\<OL-MSRE\>\""}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.590230930949154*^9, 3.590231039318413*^9}, 
   3.590231436225416*^9, {3.590311846382194*^9, 3.5903118538073893`*^9}, {
   3.60318378540788*^9, 3.603183785673032*^9}, {3.603184130531414*^9, 
   3.603184141901742*^9}}],

Cell[BoxData[
 GraphicsBox[{InsetBox[
    GraphicsBox[{{}, {}, 
      {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwt0mtIk2EUB/DN6e7q7lPIWyKmiWWLQGc8RxGLCLPMMiqqURbpnMMPKXRR
tFDzxgpJs3ITSfziuiuiToVSUxlpNU0kvE/DS+acTFdtOwceXl6ec37nz8sb
pFCduuZGoVBi/x/Hs7bGUW1kKK/wQ1V0G3G995N59YtdV1b6yEGZo0bI8/Gn
jYriL3g/Rr5v7mgTSkyE4qyf5NNaU0Nj/iRxtsumiU6190h59BS5nu6oOcKj
5RTvRM3ivJnEMH25P8IXyNCgo36RS5z6DHrIEnqrxD4QpvUPWsb+NfKqeeVM
X+Uq5lknmpXwlpO832TYOf+HxC3EB4NmHfdZiEfk8Lln4g1CdXpWkiSTP7xZ
a0Fvi7CGu7S6QCt6NhL6sW5W3rSF3jaZ7lImhUXZ0LMT+sv+svPt25iPAv2K
3PHuRDvmp4BV3Vt3bOQv+lSwSdZX1XoKuObdoKhS+bPjFhVc+2hQdnUiOZ+4
gSufO4yJW1v1DBq4PHfo6eyZSTTSwOV5QF65jSavcUePDgaOVH9f4YEeA3YS
e9cCIujoMeHxV/94moWOHhMWs99owgwM9FiQFlgRUF7KRI8NnG5Dz55UFnoc
kJuSnmwGsNHjAi/tXejGIhs9LkhLNk/4veeg5wmHPvOPZhZw0fOCrKY71ZPH
PdHzhrh9qVy1jxe4Ph8P0raphsAZL3C2p/PAyPFjLrV4o8+DouCE9rnDPHD9
T3zIYM6Ypxp44FxXw4eI6mRPM4uPngB2P7JHW1V89ATQMTpd4f2Nj54A5Mbl
G5GxAvSEkFk5YUnRCTC/EFbe7tfdYwrRE4GsoNSkzxKiJ4KuCbtoflSIngg6
s+cng+Qi9MSQcnqg77JWhJ4YmjvPqhoYYvQk0Fp4O9esFKMnAd+4Es2BUTF6
EshlZ+XcjZGgJ4WqEJZpsF6CnhRe0x4U+jGk6PnABePFiGylFP4BlyCLYA==

        "]]}, 
      {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJwt0gtIk1EUAOB/m7qHj703iYqixFxIppv4mN0zw1LTMJVCLJJS00TNKZqS
EpJiImmFlD2sRjQzkxFqDqMisOyhJOaLMhergWk+clPTtNz+c+ByuPznfOfw
c7eeyI1PY1IUpV4/9nyjwR5GkvPZP/vqeqbvb8nw9JWX3PWsDLDHAAlRKc6b
/Qbw+yi5bG0a3F83SihHmEhl0VHvBss4cZQHmElzaPicl6eZnEq3h4WY1K0R
BpUF+ydIdJuPpe/ABOn9YI8p8nV53rQpeQq9WdLinVXxOHUG6+cII7Ao75ty
DveZJ0bD3q5P7b9Jn6PfSqI0aZHvVVact0AWPR6ExbbbCMPhLZGiFxWne5WL
6P0hHWkczcO2JfRWyLtp3wSFahm9v+Sw5djFqo4V9NbITNZM/VTQKu5HwY64
synaZ2u4PwUUP1hXv4UC2mcAazaOW2emgO5nQh7LK8NHzwB6Hgs8O2s2pGQx
gd7PCTjfswv9/FhAe07gqjt5qN7GQs8ZRlyqc6q6nNBzgZg7LcPMcmf02FCb
PL59NdIFPQ6U6jXtuQI2ehz48ijiV/wIGz0uWK9W/Wu8y0GPBzZmU2dMJhc9
V8hkr44n+vPQcwN93avbhhUeem7wJIyjTep2Rc8dXrf9CI6qdUPPAzI+LoeU
JLmjxwe9JHXBss0D6N8ngFgvSXn1tAc4ytMFUDJxa2eKkY++ALLz+f27wwVA
vych1CTeLOjRC8AxrkEIa6oYhdZdiJ4ICkaMGt98IXoimFSYfJdGhOiJoOXI
m/L+PSL0xADNgfNP74twfzGopcUHm3li9CSQlBFUpj8jRk8CBavaC61DYvQk
UKm8VPxcLUFPCjr58bIhnQQ9KfzsVy/aOFL0ZMBOMAk25krRk0FP5a7U6EEp
ejLYPFY4VhwqQ08Oa33XzhnuydCTQ2nP9cZJthw9T9jXHTSsyJHDf04bi1I=

        "]]}, 
      {Hue[0.1421359549995791, 0.6, 0.6], LineBox[CompressedData["
1:eJwt0ntIU3EUB/CrU7e5Ofdwm5GWq0TSZqU9hi5+B8PCEiLFLLF0mpaLqUGi
IzL6wyItkwJlBeGrQEQdWZIZVhSpsPKZj7Jy+ZpORecbx8ztngOXy497zud8
+XFlKVkxac4URSm3Hvv7qc5ezeSWOTipfV8zoc8dRGXIY/N+t5NDofbqJbsy
uoMva3vw+xB5n6Ybrs0ZJJSjRkhnotx/KeMPcbSHjhLFkzrLRfk/ciXdXhPk
74OSzkf+4zg/RWp+6sqrd5jIN4O9Zggz/K1P4jYzevPkzI+vHQrJHPYvkLjB
xoj2wnnMs0hmj69IDRwL+e6YXyIlV62cI8WLuG+FPPS/IeUIl4mTw1sj3l8i
z0eVraC3ThYyWgemfNfQ2yBtqU0m44t19KxEv5ql2LN/Az0bsdSQ6opmK+aj
QKVLMEZF2jA/BSd68yluzyb6TlDml6o2N1BAzzvDu3O1FdG5TkDvY0ATkYCM
OAOdzwUCuGO+KiYDaM8FbHOKFJcuBtCeKwS2fShm6FzQcwOtOvJefIorekxY
EGwvXQ9yQ48F6myzZnTZDT0WhAVqQzw/MtFjQ1m96lRuIQs9dwjqjnsjiWOj
xwF1zmadaac7elwwxg4Pmqbd0eNCXppmr6iJg54HxJfenU69w0WPB/WR+lcD
0R7oecKcOS/5mjcP6Ovjg015X+wzxgNHezof9M9+HZxs8ESfD0VFJQHjx/hA
/08CaP4sf26s4oNjnU4AlqND1km2AD0hBNgiElazBOgJob14vJ/XL0BPCDxZ
aI9cKURPBKdng2/GVgoxvwjSEluUt1ki9LygQBtboM8UoecF2rOfuib6ROht
nVsXX8rCvdATQ2Ol+WlyhRd6YjhwuDWqiilGTwKPY2ovTGnE6EkgaeCkNqRP
jJ4EzDMtl/LDJOhJ4fWsqM1QLkFPCtd3V+T4MqXoeUOmYMQvWyOF/1DAjBo=

        "]]}, 
      {Hue[0.37820393249936934`, 0.6, 0.6], LineBox[CompressedData["
1:eJwt0gtIU2EUB/A7tzmnm7ub29TERIo0DUTnk6zv1AoKFpQWU3ugtjSNpWQi
mBY2JiVYSWa+CpVJWkpIaBoICoMMtPmIMmeWD6z5AHVmzTbNbefA5fJxz/md
Px83MD0n4YoLRVHxO4/9XVtjrx7isWDLMAl6iPP8gUxY34S8ahkgkTJ7jZG6
oJPTOvkofv9KUuLihqN3jxPKUT+ISnW+uGzpG3G0y2bJYFt+VcLENMnMsNc8
mVK2vlD3zuG8iQQE3JUFNf4kQ4P2WiKRFGE2lC6gt0ISw4bUzdeXsX+VzDHK
xmYOrGAeM2k1/j4TplslHx3z6+TSoqb5rL8Z922Q5FEuM616nTAc3l9SU3+u
SynZQM9CUh8l98sq/6D3jxw9qFgxiS3oWckTi7ok++kmelvEuItX0ORnxXwU
5Bh+6YoabZifgsbESe1M8Db6DNCIj9yYSqLAOe8CJn1e2KY/A5z7mHD4MX++
e5YBznwsSN1+eEzw0gWcHgvkh5aT1nKZ4PTYUBv+Q6eMZaHnCp/0r0OjKDZ6
HNDf7issGWCj5wZLBZvtsgpX9NxAG72aK0/hoMcFbW2ZrWWPG3rukMPv97m4
7IaeBwznUp7Jb7no8eC0n7a1qsQdPR7cswoiaIUHenxQhkWk90l56HmCQa5K
a5rmoScAjVHY29HGB+f10RBS0Z22UOAJjvYMGj4XhleekAvQp+H98bp8FYcG
5/8khE529d5INQ2OdTVCUJmDF4VjNHoieHentNgaK0RPBFkx19rXngvRE4G2
rynTzBKh5wWLHH2HLVuE+XfOpZIWekSEnhi2HtTcCo3xQk8Mefsh99QzL/TE
0Fkeb8xnitGTgGamKFCXJUZPAtVcedcXgxg9KcxfmPSloyXoSUEvzx9X1EvQ
k0JDGvt+uYsUPW/4vi9hcOSqFD1vuGlxVfgapOj5wLZhpudylDf8Bz+cifg=

        "]]}},
     AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
     Axes->True,
     AxesOrigin->{0, 0},
     DisplayFunction:>$DisplayFunction,
     FormatType->TraditionalForm,
     PlotRange->{{0., 6.}, {0., 5.857585299339297}},
     PlotRangeClipping->True,
     PlotRangePadding->{
       Scaled[0.02], 
       Scaled[0.02]}], {-1, -0.6180339887498948}, {
    Left, Bottom}, {2, 1.2360679774997896`}], GraphicsGroupBox[{
     {GrayLevel[0], 
      RectangleBox[{-1.15, -0.8680339887498949}, \
{-0.5946280991735535, -0.06803398874989493}]}, 
     {GrayLevel[1], EdgeForm[{GrayLevel[0], Thickness[0.001]}], 
      GraphicsGroupBox[{
        RectangleBox[{-1.2, -0.8180339887498949}, \
{-0.6446280991735536, -0.018033988749894925`}], InsetBox[
         GraphicsBox[{{{InsetBox[
              GraphicsBox[{
                {Hue[0.37820393249936846`, 0.6, 0.6], 
                 LineBox[{{0, 0.5}, {1, 0.5}}]}, {}},
               PlotRange->{{0, 1}, {0, 1}}], {0.08, 0.08}, {
              Left, Bottom}, {1, 1}], 
             InsetBox["\<\"OL-MSRE\"\>", {1.2100000000000002`, 0.58}, {-1, 0},
               Automatic, {1, 0}]}, {InsetBox[
              GraphicsBox[{
                {Hue[0.1421359549995791, 0.6, 0.6], 
                 LineBox[{{0, 0.5}, {1, 0.5}}]}, {}},
               PlotRange->{{0, 1}, {0, 1}}], {0.08, 1.24}, {
              Left, Bottom}, {1, 1}], 
             InsetBox["\<\"OL-MSE\"\>", {1.2100000000000002`, 1.74}, {-1, 0}, 
              Automatic, {1, 0}]}, {InsetBox[
              GraphicsBox[{
                {Hue[0.9060679774997897, 0.6, 0.6], 
                 LineBox[{{0, 0.5}, {1, 0.5}}]}, {}},
               PlotRange->{{0, 1}, {0, 1}}], {0.08, 2.4}, {
              Left, Bottom}, {1, 1}], 
             InsetBox["\<\"CL\"\>", {1.2100000000000002`, 2.9}, {-1, 0}, 
              Automatic, {1, 0}]}, {InsetBox[
              GraphicsBox[{
                {Hue[0.67, 0.6, 0.6], LineBox[{{0, 0.5}, {1, 0.5}}]}, {}},
               PlotRange->{{0, 1}, {0, 1}}], {0.08, 3.56}, {
              Left, Bottom}, {1, 1}], 
             InsetBox["\<\"OL-Rate\"\>", \
{1.2100000000000002`, 4.0600000000000005`}, {-1, 0}, Automatic, {1, 0}]}}, {}},
          AspectRatio->1.44047619047619,
          FormatType->TraditionalForm,
          
          PlotRange->{{-0.1, 3.26}, {-0.1, 
           4.739999999999999}}], {-1.2, -0.8180339887498949}, {
         Left, Bottom}, {0.5553719008264464, 0.7999999999999999}]}]}}]},
  AspectRatio->Automatic,
  Background->None,
  ColorOutput->Automatic,
  ImageSize->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{3.60318468011528*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.603184228318503*^9, 3.603184228355154*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.5903118803276243`*^9, 3.59031188118353*^9}, 
   3.6031842271619864`*^9}],

Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<PlotLegends`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RList", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"RList", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "-", 
          RowBox[{"OutmatOLInfo", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RList", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"RList", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "-", 
          RowBox[{"OutmatCL", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RList", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"RList", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "-", 
          RowBox[{"OutmatOLMSE", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"RList", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"RList", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "-", 
          RowBox[{"OutmatOLMSRE", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Length", "[", "DList", "]"}]}], "}"}]}], "]"}]}], "}"}], 
   ",", 
   RowBox[{"PlotLegend", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<OL-Rate\>\"", ",", "\"\<CL\>\"", ",", "\"\<OL-MSE\>\"", ",", 
      "\"\<OL-MSRE\>\""}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5902310615277567`*^9, 3.590231065488678*^9}, {
   3.590231113899844*^9, 3.590231146227632*^9}, 3.590311860806602*^9, {
   3.603184232730432*^9, 3.6031842439931593`*^9}, 3.603184691392268*^9}],

Cell[BoxData[
 GraphicsBox[{InsetBox[
    GraphicsBox[{{}, {}, 
      {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJw10ntIU2EUAPCrafkq7x5OSf+4Pf6x52KzYobfMdJMFM2KVCqG6YJAXGKR
j8hMC4toPaTsoYtKyjLFHjZz7t4bEjqVgQlOJEem+UibqMvKrG2de+Dycbjn
/M7h41uVkZOS5UlR1A7n5zrvVLrCQGDmYtl2z1TyP28naseu6sDdJ4lS4Yoe
woonGkXpZfjfSuRhzflJ3tcI5Q4b0Q1p2x7P3SLucsUQYXLni43KanJM44oR
oo3YOngl9iH2jxFK5ts3OlFDujpd8Y3YZJ1iTVEtenbCJB+dDJqqw/ppopuq
Wie934D7zBBGVQohmxpJt7t/lljiqm53PHmJ8xyEuXC+XRfwmni4vXkiNyck
HEx7g95PQhvuncm52oTeb2KxaKx59W/RWyAN3fbhbc0G9BYJ7TBX1jU0434U
aHvyUz/feIf7U8AUZHR9z2xB3wNs+yzSubVG7PcE9cBKE91rxHlLgOq1xh86
1Yr7eQEV82d01NeEnheouWgPo86EnjfQvC1tzJtFbyloa+cy/aNY9JaB9v2i
THmCRc8HLDXiT+ZqFj0fkLdWPFB0sOj5AnOzSf/BLnh+wB5IV/VLOPT8QVcf
88Kg4NALAPpsbWldModeAKgj93f9OM6htxxgpCikt4RDbwXoBi8vFt0WvECQ
E1v26ucc3h8NxSrb3xkjR9zlGhrYwIX4sG7Bp4EJD9rCD3D4nkRApQ2H+45z
xD2uUgT6bKZc5BA8MbB3N7LzFI+eGJiIFHu/H4+eGOC6qbBTwqMnAdvpj5e+
hvK4vwTUFWGTUWt49KSgt9ZPfQkXPCnYlNMbxjcLnjM/96zlcITgBQE1EJqY
qBI8Z34kMq4tSvBkQJXn2C07BU8G+qePCgtiBc+Zx/etN+8RvGBQv4rOMicI
XjBQxly+JEnwQqB4Nibv116e/APUMaEo
        "]]}, 
      {Hue[0.9060679774997897, 0.6, 0.6], LineBox[CompressedData["
1:eJw10n1IU1EUAPBrac6pNef8IMRWw/4ICVEnUuE9mZgUEcxoRh8utY0ysyww
LOmBYUVGRBBzoY7MPnClhmkz196bgWamkpWJFAtTsw/ddC5tZm3zvAOPy+Ge
8zuHx12bU6g4sowQssX9eU5dpSeMlJDGOV2TNmUpf0WJKuu91GVPSUzwxAAl
/VPbtaXr6NL9ECXiHV8u1aa6+zxhpaTkcu1H9T7qLU8YoeTKb9vW4HyqUXti
jDIdkgOi/Wexf4KSPfPDhqIy+qbHEz8pey7R2ZZfgZ6NMsLbit3HbmK9ncKY
ViDcWEmX9pmhbLXVVaWsob3efgfVn7RXxFnv4DwnJZPCyBjZPerj9eYohGQ0
KNQP0ZunzPn14sBqA3ouCtcekCiuAb0Fymgmk9LymtBbpMz9Qv+qwSe4HwHm
b8ncUHIz7k9AbyxWjJY/Rd8HrPFhAfFcC/YvA/ZQbFfNeCvOWw5Mbp8k988z
3M8XpBe2xdvnjej5AmTFFEyNtaHn586nD8dYnqO3AlQjyYOnKtrR8we9o6Sb
SzehJwBG9FoZMG1CTwDS6K+2zddfoBcAbLM0NXONGT0hwImeVnmtGb1AaGzP
SRgNZtELAv3sB5kzjUUvCBrtGQZ5MYteMMCuFJdfHYveSrBlG1ssvSx6q6D/
m72nw8Hi/xNBXL3pszKCo95ytQik8kVxdxKHvghIbH1xdiaH7ykErO9cb5UF
HPWOqwwB1WnDxK+LHHpiYOwvu5Q63hODqrBT1PmI98QgvfsYjpp5LxRU0Tf+
afo43D8U2KuivIlPvCcBq2M6WfSD9yQA0QUpC07ec98LBjTdPhb0wkBaVKa7
FWhBLwyIU7vzjMSCXjhIa2ZHSqMs6IUDOzOczsgs6IWDddb0/eAG3osAffnx
gb1xvOfOZatVZjnvRQIoxyPrNlnofzo4oPQ=
        "]]}, 
      {Hue[0.1421359549995791, 0.6, 0.6], LineBox[CompressedData["
1:eJw10ntIU3EUB/A7NZuP6eamVhbMEsr6o9E2Sq39DoqRJPlYBVbC1DRMS9PK
QDTRQKOiKUTOMlZaC+ZS1DK1zXsHIprz0eMPS+iCIGnJdNrKZq+tcw/8uFx+
53zOl8uNzC5Kz/WiKGr/v+N+Nunc1Uug1th0RHGS/H8fJlLDRp+S+jKikLvr
LYH4mJtsTC3eTxH2gPfER1UDoTzFEqF8p8ms0RFPu3yGdPzJ4B/N1JMzee6a
JVWNmefyBa04P0eEdtftlHYDsY266yvRbE7iBew1ordIhMaGnNL7z7B/iaRK
Tp0PXejAPMukeGWs68LlTjLmmV8hbIKvoHCuC/c5iV4QZe9OfE54Hu8H0Vpa
ys/eeIHeKtH+7Nyy1teDnotMOEcNkvcv0VsjbJot8fqHXvR+k9Shgq3Jo32Y
j4LF/OPzWcZ+zE8B5LbVT115hT4PNNLx2UGlGee9QP8t6+6+GTPu8wa66EGO
qtqC+XwAyisTpsUD6PkA21ueLtANoLcOqO3NJo0fjZ4vsJZgxwLQ6K0HmaR6
UldKo8eH4tVDkcMPafT4IIuOfTz1mkbPD2QdlctRDs7zB1rtJ3JJGPQCQD8d
p36qYNALBMoaW1KSxqAXCKmXnMqmAgY9AcgUsqUTNQx6QaANyI770sh5waC5
2Lqroo3B7ycEqazQoLIwxNOeJwRaJG7PGON8IcCOOsPKNIP/kwjAbtLvmWeI
Z51OBKwisFHu5LwQkMbpeyQ8K3ohQC9vWlzyt6IXAmyZUv1JbEVPDJS5jvoe
YcX8YtA/Gbp3eJsVPQloxrXH7NGcJwF986Nux27Ok0DVSGT/aSXnhQIldPDV
sZwXCnCr0DWs4rwwoE13Rt7Fc14YsOxkS8VBzgsDWIuw2pI4LxzY9s81tmTO
CwfpYNDVaymctwHgza8ZV5qV/AUD6p5J
        "]]}, 
      {Hue[0.37820393249936934`, 0.6, 0.6], LineBox[CompressedData["
1:eJw10ntIU2EUAPBPW+rUarrNlZGPEimdNbOsP7TviH9IKbTyQUbgfE2TSCFf
JMQUzUeli9LUKEb4AK0UK9NIXTq3ezVFtMBC6pYlVlpa5gOlcuvcA5ePwz3n
dw4fn2dC+slka0JI0PpnPmtrzNFJufmsSJvAePo/ZympfjQxtOMSPRBgjjHq
cSEkeGD+Gv5/Q4nApkrefosSS3CUm/CS3r+to5bygEmaoR4fFJbX0xS1Oaao
dnrk25WKJuz/Qlsbc+K9i1vo0EtzzFAm6XyE2r8NvTmaWlR1/VXZY6yfp6q8
FdW5wXbc5xdtzX0tPjLXQYct/QuUyMozC5ae4bxFygF7MIZ7Tq0s3jLVBDbU
FjZ1o7dCR46S3r2+evRWqbbnkOzYTz16a5SpWTzt3PwCvT9UdWb0ontML+5H
oKSwc9x1oRf3J8Ds+3qno6gPfSvIOFGS1eZgwH5r4GQ+6X2XDThvA6j+xo7W
LRlwPwGI7MlTh7h+9ASgW14ObuzqR28jEE1VuLvEiJ4NKLalNYsTjejZAgnz
Ld7ebETPDpT5pzz6Z4zo2YEmqbOrcrcJPSEo53/ohXEm9OxBUxH99qbWhJ4D
gLc88l6XCT1HEIU/TKmcMqHnCErBUDPrwKC3CRR12dk3/Bj0NoNmz04lRDDo
bQFRnjRBlsrg/YlANZv9KTafoZZy9Xru/qQ0tJpBXwR6TjFl/4DB9+QE+pbk
sQ89DLWMq3ECnVEy/HuE95xBb6c4nsHxnjPo3ie753znPWcgpSH18lXeEwM5
+9mv1YbF/cXARRco3JxY9CQAHsNXta4sehJQ3TUZ3Hax6EmATNruf+fDoicF
4jIQ+NGf96QAZDQt6DDvuQAkZhrWgnlvPY/y6vYP5T0X0CXP5k6H8Z4MNGWe
E/II3pOBXhDVJlTy3lbwIA19JZEs/QcHFpcO
        "]]}},
     AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
     Axes->True,
     AxesOrigin->{0, 0},
     DisplayFunction:>$DisplayFunction,
     FormatType->TraditionalForm,
     PlotRange->{{0., 6.}, {0., 0.19786176255365806`}},
     PlotRangeClipping->True,
     PlotRangePadding->{
       Scaled[0.02], 
       Scaled[0.02]}], {-1, -0.6180339887498948}, {
    Left, Bottom}, {2, 1.2360679774997896`}], 
   GeometricTransformationBox[GraphicsGroupBox[{
      {GrayLevel[0], 
       RectangleBox[{-1.15, -0.8680339887498949}, \
{-0.5946280991735535, -0.06803398874989493}]}, 
      {GrayLevel[1], EdgeForm[{GrayLevel[0], Thickness[0.001]}], 
       GraphicsGroupBox[{
         RectangleBox[{-1.2, -0.8180339887498949}, \
{-0.6446280991735536, -0.018033988749894925`}], InsetBox[
          GraphicsBox[{{{InsetBox[
               GraphicsBox[{
                 {Hue[0.37820393249936846`, 0.6, 0.6], 
                  LineBox[{{0, 0.5}, {1, 0.5}}]}, {}},
                PlotRange->{{0, 1}, {0, 1}}], {0.08, 0.08}, {
               Left, Bottom}, {1, 1}], 
              InsetBox["\<\"OL-MSRE\"\>", {1.2100000000000002`, 0.58}, {-1, 0},
                Automatic, {1, 0}]}, {InsetBox[
               GraphicsBox[{
                 {Hue[0.1421359549995791, 0.6, 0.6], 
                  LineBox[{{0, 0.5}, {1, 0.5}}]}, {}},
                PlotRange->{{0, 1}, {0, 1}}], {0.08, 1.24}, {
               Left, Bottom}, {1, 1}], 
              InsetBox["\<\"OL-MSE\"\>", {1.2100000000000002`, 1.74}, {-1, 0},
                Automatic, {1, 0}]}, {InsetBox[
               GraphicsBox[{
                 {Hue[0.9060679774997897, 0.6, 0.6], 
                  LineBox[{{0, 0.5}, {1, 0.5}}]}, {}},
                PlotRange->{{0, 1}, {0, 1}}], {0.08, 2.4}, {
               Left, Bottom}, {1, 1}], 
              InsetBox["\<\"CL\"\>", {1.2100000000000002`, 2.9}, {-1, 0}, 
               Automatic, {1, 0}]}, {InsetBox[
               GraphicsBox[{
                 {Hue[0.67, 0.6, 0.6], LineBox[{{0, 0.5}, {1, 0.5}}]}, {}},
                PlotRange->{{0, 1}, {0, 1}}], {0.08, 3.56}, {
               Left, Bottom}, {1, 1}], 
              InsetBox["\<\"OL-Rate\"\>", \
{1.2100000000000002`, 4.0600000000000005`}, {-1, 0}, Automatic, {1, 0}]}}, {}},
           AspectRatio->1.44047619047619,
           FormatType->TraditionalForm,
           
           PlotRange->{{-0.1, 3.26}, {-0.1, 
            4.739999999999999}}], {-1.2, -0.8180339887498949}, {
          Left, Bottom}, {0.5553719008264464, 0.7999999999999999}]}]}}], {{{{
      0.9999999999999999, 0.}, {0., 0.9999999999999999}}, {
      1.4623896923207125`, 0.0489275361742989}}}]},
  AspectRatio->Automatic,
  Background->None,
  ColorOutput->Automatic,
  ImagePadding->{{0., 583.009509}, {1., 229.549464}},
  ImageSize->{815., Automatic},
  PlotRange->{{-1.212611914600551, -0.5820161845730025}, \
{-0.8801414267664238, -0.005926550733365996}},
  PlotRangePadding->Automatic]], "Input",
 CellChangeTimes->{{3.6031846987998447`*^9, 3.603184699733995*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.603184692375523*^9, 3.603184692423038*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.590320319069552*^9, 3.5903203206791897`*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.5903118686150846`*^9, 3.5903118700273314`*^9}, 
   3.603184231330285*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred_2OLInfo.dat\>\""}], ",", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"RList", ",", 
       RowBox[{"RList", "-", "OutmatOLInfo"}]}], "}"}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred_2CL.dat\>\""}], ",", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"RList", ",", 
       RowBox[{"RList", "-", "OutmatCL"}]}], "}"}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred_2OLMSE.dat\>\""}], ",", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"RList", ",", 
       RowBox[{"RList", "-", "OutmatOLMSE"}]}], "}"}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred_2Coeffs1.dat\>\""}], ",", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"RList", ",", "Coeffmat1"}], "}"}], "]"}]}], "]"}], ";", 
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred_2Coeffs2.dat\>\""}], ",", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"RList", ",", "Coeffmat2"}], "}"}], "]"}]}], "]"}], ";", 
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred_2CoeffsCL1.dat\>\""}], ",", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"RList", ",", "CoeffmatCL1"}], "}"}], "]"}]}], "]"}], ";", 
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred_2CoeffsCL2.dat\>\""}], ",", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"RList", ",", "CoeffmatCL2"}], "}"}], "]"}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.590320299363263*^9, 3.5903203277959967`*^9}, {
  3.590320503662642*^9, 3.590320506693068*^9}, {3.603184637770934*^9, 
  3.603184656645982*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred_2OLMSRE.dat\>\""}], ",", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"RList", ",", 
       RowBox[{"RList", "-", "OutmatOLMSRE"}]}], "}"}], "]"}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.592553626157332*^9, 3.592553645476376*^9}, 
   3.5925537888847847`*^9}]
},
WindowSize->{1280, 943},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Linux x86 (64-bit) (October 10, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 675, 15, 50, "Input"],
Cell[1235, 37, 793, 24, 50, "Input"],
Cell[2031, 63, 597, 14, 50, "Input"],
Cell[CellGroupData[{
Cell[2653, 81, 334, 11, 30, "Input"],
Cell[2990, 94, 209, 3, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3236, 102, 590, 17, 30, "Input"],
Cell[3829, 121, 237, 4, 30, "Output"]
}, Open  ]],
Cell[4081, 128, 683, 16, 50, "Input"],
Cell[4767, 146, 475, 10, 30, "Input"],
Cell[5245, 158, 802, 21, 30, "Input"],
Cell[CellGroupData[{
Cell[6072, 183, 617, 16, 30, "Input"],
Cell[6692, 201, 355, 10, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7084, 216, 307, 9, 30, "Input"],
Cell[7394, 227, 308, 9, 30, "Output"]
}, Open  ]],
Cell[7717, 239, 635, 19, 50, "Input"],
Cell[8355, 260, 407, 9, 30, "Input"],
Cell[8765, 271, 630, 20, 50, "Input"],
Cell[9398, 293, 828, 20, 50, "Input"],
Cell[10229, 315, 669, 19, 30, "Input"],
Cell[10901, 336, 407, 9, 30, "Input"],
Cell[11311, 347, 1521, 43, 69, "Input"],
Cell[12835, 392, 1476, 41, 69, "Input"],
Cell[14314, 435, 407, 9, 30, "Input"],
Cell[14724, 446, 1226, 35, 69, "Input"],
Cell[15953, 483, 407, 9, 30, "Input"],
Cell[16363, 494, 458, 11, 30, "Input"],
Cell[CellGroupData[{
Cell[16846, 509, 1998, 61, 107, "Input"],
Cell[18847, 572, 703, 13, 58, "Message"],
Cell[19553, 587, 703, 13, 58, "Message"],
Cell[20259, 602, 703, 13, 58, "Message"],
Cell[20965, 617, 557, 11, 23, "Message"],
Cell[21525, 630, 545, 10, 23, "Message"]
}, Open  ]],
Cell[22085, 643, 407, 9, 30, "Input"],
Cell[22495, 654, 688, 17, 50, "Input"],
Cell[CellGroupData[{
Cell[23208, 675, 537, 15, 30, "Input"],
Cell[23748, 692, 101, 1, 30, "Output"]
}, Open  ]],
Cell[23864, 696, 1437, 44, 107, "Input"],
Cell[CellGroupData[{
Cell[25326, 744, 604, 19, 30, "Input"],
Cell[25933, 765, 468, 16, 53, "Output"]
}, Open  ]],
Cell[26416, 784, 572, 19, 52, "Input"],
Cell[CellGroupData[{
Cell[27013, 807, 773, 18, 30, "Input"],
Cell[27789, 827, 438, 11, 30, "Output"]
}, Open  ]],
Cell[28242, 841, 302, 8, 30, "Input"],
Cell[28547, 851, 878, 26, 50, "Input"],
Cell[29428, 879, 407, 9, 30, "Input"],
Cell[29838, 890, 261, 6, 30, "Input"],
Cell[CellGroupData[{
Cell[30124, 900, 2116, 63, 107, "Input"],
Cell[32243, 965, 703, 13, 58, "Message"],
Cell[32949, 980, 703, 13, 58, "Message"],
Cell[33655, 995, 703, 13, 58, "Message"],
Cell[34361, 1010, 557, 11, 23, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34955, 1026, 1021, 29, 30, "Input"],
Cell[35979, 1057, 2445, 47, 226, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38461, 1109, 893, 27, 30, "Input"],
Cell[39357, 1138, 2358, 46, 226, "Output"]
}, Open  ]],
Cell[41730, 1187, 407, 9, 30, "Input"],
Cell[42140, 1198, 165, 3, 30, "Input"],
Cell[CellGroupData[{
Cell[42330, 1205, 2226, 62, 126, "Input"],
Cell[44559, 1269, 6918, 136, 259, "Output"]
}, Open  ]],
Cell[51492, 1408, 92, 1, 30, InheritFromParent],
Cell[51587, 1411, 121, 2, 30, "Input"],
Cell[51711, 1415, 2617, 73, 126, "Input"],
Cell[54331, 1490, 7205, 138, 567, InheritFromParent],
Cell[61539, 1630, 92, 1, 30, InheritFromParent],
Cell[61634, 1633, 94, 1, 30, "Input"],
Cell[61731, 1636, 122, 2, 30, "Input"],
Cell[61856, 1640, 2316, 70, 145, "Input"],
Cell[64175, 1712, 436, 13, 30, "Input"]
}
]
*)

(* End of internal cache information *)
