(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     71403,       1794]
NotebookOptionsPosition[     68703,       1707]
NotebookOutlinePosition[     69038,       1722]
CellTagsIndexPosition[     68995,       1719]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"Here", " ", "I", " ", "take", " ", "a", " ", "signal"}], "+", 
    RowBox[{"noise", " ", "model"}]}], ",", " ", 
   RowBox[{
    RowBox[{"the", " ", "signal", " ", "is", " ", "a", " ", "first"}], "-", 
    RowBox[{"order", " ", "MS", " ", "process"}]}], ",", " ", 
   RowBox[{
    RowBox[{"the", " ", "filter", " ", "is", " ", "first"}], "-", 
    RowBox[{"order", " ", "too"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.5903924305129757`*^9, 3.590392472493791*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Ss", "[", "t_", "]"}], ":=", 
   RowBox[{"4", 
    RowBox[{
     RowBox[{"Cos", "[", 
      RowBox[{"t", "/", "2"}], "]"}], "^", "2"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Sx", "[", 
    RowBox[{"t_", ",", "sigN_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"Ss", "[", "t", "]"}], "+", "sigN"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"H", "[", 
   RowBox[{"t_", ",", "c1_", ",", "c2_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"c1", "^", "2"}], "+", 
   RowBox[{"c2", "^", "2"}], "+", 
   RowBox[{"2", "*", "c1", "*", "c2", "*", 
    RowBox[{"Cos", "[", "t", "]"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.589797171176075*^9, 3.5897972228651867`*^9}, {
  3.5903924774484262`*^9, 3.590392478448254*^9}, {3.5903953373375063`*^9, 
  3.590395350464275*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"===", "===", "===", "===", "===", "===", "===", "==="}], "=", 
   RowBox[{
    RowBox[{"===", "===", "===", "==="}], "=", 
    RowBox[{
    "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
     "=="}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.5903924883304043`*^9, 3.5903924973126583`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Px", "[", 
   RowBox[{"c1_", ",", "c2_", ",", "sigN_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"1", "/", "2"}], "/", "Pi"}], "*", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Sx", "[", 
       RowBox[{"t", ",", "sigN"}], "]"}], "*", 
      RowBox[{"H", "[", 
       RowBox[{"t", ",", "c1", ",", "c2"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.589797250921821*^9, 3.589797262712997*^9}, {
  3.590392538763494*^9, 3.590392544313671*^9}, {3.5903953913004837`*^9, 
  3.590395396138132*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"===", "===", "===", "===", "===", "===", "===", "==="}], "=", 
   RowBox[{
    RowBox[{"===", "===", "===", "==="}], "=", 
    RowBox[{
    "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
     "=="}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"RList", "=", 
   RowBox[{"Range", "[", 
    RowBox[{"0.5", ",", "6", ",", "0.25"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DList", "=", 
   RowBox[{"1", "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Exp", "[", 
       RowBox[{"2", "*", "RList"}], "]"}], "-", "1"}], ")"}]}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.589863925586404*^9, 3.5898639283882093`*^9}, {
   3.5903925173153877`*^9, 3.590392517376709*^9}, {3.592214686272173*^9, 
   3.5922146889726067`*^9}, 3.592217910629389*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"VarianceList", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"VarianceList", ",", 
    RowBox[{"Range", "[", 
     RowBox[{"0.01", ",", "0.1", ",", "0.01"}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"VarianceList", ",", 
    RowBox[{"Range", "[", 
     RowBox[{"0.2", ",", "1", ",", "0.1"}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"VarianceList", ",", 
    RowBox[{"Range", "[", 
     RowBox[{"2", ",", "10", ",", "1"}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"VarianceList", ",", 
    RowBox[{"Range", "[", 
     RowBox[{"20", ",", "100", ",", "10"}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VarianceList", "=", 
   RowBox[{"Flatten", "[", "VarianceList", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.589798753583036*^9, {3.590462731140074*^9, 3.590462732516183*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"VarianceList", "=", 
   RowBox[{"{", 
    RowBox[{"0.001", ",", "0.01", ",", "0.1", ",", "1", ",", "10"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VarianceList", "=", 
   RowBox[{"{", 
    RowBox[{"0.001", ",", "0.1", ",", "10"}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.59046273903511*^9, 3.5904627458409233`*^9}, {
  3.590468128805211*^9, 3.590468130305963*^9}, {3.592217916623866*^9, 
  3.592217921183804*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"===", "===", "===", "===", "===", "===", "===", "==="}], "=", 
   RowBox[{
    RowBox[{"===", "===", "===", "==="}], "=", 
    RowBox[{
    "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
     "=="}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"Computing", " ", "the", " ", "MSE"}], "-", 
    RowBox[{"optimal", " ", "coefficient"}]}], ",", " ", 
   RowBox[{"i", ".", "e", "."}], ",", " ", 
   RowBox[{
    RowBox[{
    "the", " ", "coefficient", " ", "minimizing", " ", "the", " ", "variance",
      " ", "of", " ", "Y"}], "-", "S"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.590393003725574*^9, 3.5903930281569233`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MSE", "[", 
   RowBox[{"c1_", ",", "c2_", ",", "DD_", ",", "sigN_"}], "]"}], ":=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"1", "/", "2"}], "/", "Pi"}], "*", 
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"c1", "-", "1"}], ")"}], "^", "2"}], "+", 
          RowBox[{"c2", "^", "2"}], "+", 
          RowBox[{"2", "*", "c2", "*", 
           RowBox[{"(", 
            RowBox[{"c1", "-", "1"}], ")"}], "*", 
           RowBox[{"Cos", "[", "t", "]"}]}]}], ")"}], "*", 
        RowBox[{"Ss", "[", "t", "]"}]}], "+", 
       RowBox[{"sigN", "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"c1", "^", "2"}], "+", 
          RowBox[{"c2", "^", "2"}]}], ")"}]}], "+", 
       RowBox[{"DD", "*", 
        RowBox[{"Px", "[", 
         RowBox[{"c1", ",", "c2", ",", "sigN"}], "]"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", 
        RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.590393029341425*^9, 3.590393089546556*^9}, {
  3.5903931260100813`*^9, 3.590393134199321*^9}, {3.590395381413974*^9, 
  3.590395388907166*^9}, {3.590395465177012*^9, 3.590395547649342*^9}, {
  3.590395623285248*^9, 3.5903956248054047`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CList", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"MSE", "[", 
         RowBox[{"c1", ",", "c2", ",", "DD", ",", "sigN"}], "]"}], ",", 
        "c1"}], "]"}], "==", "0"}], "&&", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"MSE", "[", 
         RowBox[{"c1", ",", "c2", ",", "DD", ",", "sigN"}], "]"}], ",", 
        "c2"}], "]"}], "==", "0"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"c1", ",", "c2"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590396021538953*^9, 3.5903960611299467`*^9}, {
  3.5903962335649014`*^9, 3.590396235540551*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"c1", "\[Rule]", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "3"}], "-", 
        RowBox[{"2", " ", "sigN"}]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "DD"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"3", "+", 
          RowBox[{"4", " ", "sigN"}], "+", 
          SuperscriptBox["sigN", "2"]}], ")"}]}]]}]}], ",", 
    RowBox[{"c2", "\[Rule]", 
     FractionBox["sigN", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "DD"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"3", "+", 
         RowBox[{"4", " ", "sigN"}], "+", 
         SuperscriptBox["sigN", "2"]}], ")"}]}]]}]}], "}"}], "}"}]], "Output",\

 CellChangeTimes->{{3.5903960619783487`*^9, 3.590396069452526*^9}, 
   3.59039623686963*^9, 3.5903978725871468`*^9, 3.5904630115183783`*^9, 
   3.5904707845949097`*^9, 3.5904771771043987`*^9, 3.592211770544375*^9, 
   3.5922147028656588`*^9, 3.592218459206287*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"C1MSE", "=", 
    RowBox[{"First", "[", 
     RowBox[{"c1", "/.", "CList"}], "]"}]}], ";", "\[IndentingNewLine]", 
   RowBox[{"C2MSE", "=", 
    RowBox[{"First", "[", 
     RowBox[{"c2", "/.", "CList"}], "]"}]}], ";"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.590396239260693*^9, 3.590396288338909*^9}, {
  3.5903963751812067`*^9, 3.590396398463503*^9}, {3.5904628308758707`*^9, 
  3.590462835932379*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"C1MSE", "[", 
    RowBox[{"DD_", ",", "sigN_"}], "]"}], ":=", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "3"}], "-", 
      RowBox[{"2", " ", "sigN"}]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "DD"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", "sigN"}], "+", 
        SuperscriptBox["sigN", "2"]}], ")"}]}]]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"C2MSE", "[", 
    RowBox[{"DD_", ",", "sigN_"}], "]"}], ":=", 
   FractionBox["sigN", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", "DD"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"4", " ", "sigN"}], "+", 
       SuperscriptBox["sigN", "2"]}], ")"}]}]]}], ";"}]}], "Input",
 CellChangeTimes->{{3.590462838322769*^9, 3.5904628678688707`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "It", " ", "turns", " ", "out", " ", "that", " ", "for", " ", "DD", " ", 
    "to", " ", "0"}], ",", " ", 
   RowBox[{
    RowBox[{"the", " ", "MSE", " ", "solution", " ", "appears"}], ";", " ", 
    RowBox[{"we", " ", "get", " ", "the", " ", "Wiener", " ", "Filter", " ", 
     RowBox[{"here", "!"}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.5903964074532557`*^9, 3.590396429335805*^9}, {
  3.600752396186281*^9, 3.60075239868723*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"===", "===", "===", "===", "===", "===", "===", "==="}], "=", 
   RowBox[{
    RowBox[{"===", "===", "===", "==="}], "=", 
    RowBox[{
    "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
     "=="}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Setting", " ", "the", " ", "information", " ", "rates"}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.590392593293981*^9, 3.590392600709684*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Integrand", "[", 
    RowBox[{"t_", ",", "c1_", ",", "c2_", ",", "DD_", ",", "sigN_"}], "]"}], ":=", 
   RowBox[{"Log", "[", 
    RowBox[{"1", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Ss", "[", "t", "]"}], "*", 
        RowBox[{"H", "[", 
         RowBox[{"t", ",", "c1", ",", "c2"}], "]"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"sigN", "*", 
         RowBox[{"H", "[", 
          RowBox[{"t", ",", "c1", ",", "c2"}], "]"}]}], "+", 
        RowBox[{"DD", "*", 
         RowBox[{"Px", "[", 
          RowBox[{"c1", ",", "c2", ",", "sigN"}], "]"}]}]}], ")"}]}]}], 
    "]"}]}], ";", 
  RowBox[{
   RowBox[{"Info", "[", 
    RowBox[{
     RowBox[{"c1_", "?", "NumericQ"}], ",", 
     RowBox[{"c2_", "?", "NumericQ"}], ",", 
     RowBox[{"DD_", "?", "NumericQ"}], ",", 
     RowBox[{"sigN_", "?", "NumericQ"}]}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"1", "/", "4"}], "/", "Pi"}], "*", 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{"Integrand", "[", 
       RowBox[{"t", ",", "c1", ",", "c2", ",", "DD", ",", "sigN"}], "]"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", 
        RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.589798836643915*^9, 3.589798891985461*^9}, {
  3.5897995354650497`*^9, 3.589799537830007*^9}, {3.5903926035182056`*^9, 
  3.590392625567294*^9}, {3.590396445280875*^9, 3.5903964755633793`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Outmat", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SubscriptBox["m", 
      RowBox[{"i", ",", "j"}]], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "DList", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "VarianceList", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Coeffmat1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SubscriptBox["m", 
      RowBox[{"i", ",", "j"}]], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "DList", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "VarianceList", "]"}]}], "}"}]}], "]"}]}], ";", 
  
  RowBox[{"Coeffmat2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SubscriptBox["m", 
      RowBox[{"i", ",", "j"}]], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "DList", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "VarianceList", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5897989543873577`*^9, 3.58979901668087*^9}, {
  3.59039648065305*^9, 3.5903964845226316`*^9}}],

Cell[BoxData[
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"i", "=", "1"}], ",", 
   RowBox[{"i", "<", 
    RowBox[{
     RowBox[{"Length", "[", "DList", "]"}], "+", "1"}]}], ",", 
   RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"j", "=", "1"}], ",", 
     RowBox[{"j", "<", 
      RowBox[{
       RowBox[{"Length", "[", "VarianceList", "]"}], "+", "1"}]}], ",", 
     RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"DummyList", "=", 
       RowBox[{"FindMaximum", "[", 
        RowBox[{
         RowBox[{"Info", "[", 
          RowBox[{
           RowBox[{"C1MSE", "[", 
            RowBox[{
             RowBox[{"DList", "[", 
              RowBox[{"[", "i", "]"}], "]"}], ",", 
             RowBox[{"VarianceList", "[", 
              RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", "c2", ",", 
           RowBox[{"DList", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", 
           RowBox[{"VarianceList", "[", 
            RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"c2", ",", 
           RowBox[{"C2MSE", "[", 
            RowBox[{
             RowBox[{"DList", "[", 
              RowBox[{"[", "i", "]"}], "]"}], ",", 
             RowBox[{"VarianceList", "[", 
              RowBox[{"[", "j", "]"}], "]"}]}], "]"}]}], "}"}]}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Outmat", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
       RowBox[{"First", "[", "DummyList", "]"}]}], ";", 
      RowBox[{
       RowBox[{"Coeffmat2", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
       RowBox[{"c2", "/.", 
        RowBox[{"Last", "[", "DummyList", "]"}]}]}]}]}], 
    "\[IndentingNewLine]", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.58979903649783*^9, 3.5897991235501947`*^9}, {
   3.589799163271142*^9, 3.589799202933016*^9}, {3.589800826989705*^9, 
   3.5898008330612926`*^9}, {3.5898582155699453`*^9, 3.589858217370817*^9}, {
   3.590396524263473*^9, 3.590396525219247*^9}, {3.590396556759364*^9, 
   3.5903966216654882`*^9}, {3.590396665118354*^9, 3.5903967132876387`*^9}, {
   3.5903978045796833`*^9, 3.590397814468011*^9}, {3.590462882747324*^9, 
   3.590462905340754*^9}, 3.590465195064188*^9, 3.590470765809581*^9, {
   3.5904824960462217`*^9, 3.5904825095297127`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"===", "===", "===", "===", "===", "===", "===", "==="}], "=", 
   RowBox[{
    RowBox[{"===", "===", "===", "==="}], "=", 
    RowBox[{
    "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
     "=="}]}]}], " ", "*)"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPointPlot3D", "[", 
  RowBox[{"{", 
   RowBox[{"Coeffmat2", "/", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"C1MSE", "[", 
       RowBox[{
        RowBox[{"DList", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"VarianceList", "[", 
         RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", 
        RowBox[{"Length", "[", "DList", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", 
        RowBox[{"Length", "[", "VarianceList", "]"}]}], "}"}]}], "]"}]}], 
   "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.58980036863025*^9, 3.5898004397707644`*^9}, 
   3.589800778160727*^9, {3.589857612004903*^9, 3.589857622620549*^9}, 
   3.590462463734536*^9, {3.590462512615954*^9, 3.5904625511620073`*^9}, {
   3.5904647206103697`*^9, 3.59046479016579*^9}, {3.590464865408605*^9, 
   3.5904648894497967`*^9}, {3.5922147318326063`*^9, 3.5922147410233803`*^9}}],

Cell[BoxData[
 Graphics3DBox[
  {Hue[0.67, 0.6, 0.6], Point3DBox[CompressedData["
1:eJwBOQLG/SFib1JlAgAAABcAAAADAAAAKgzkCMI7A8B+oI/o6Z3TvwXd3D0A
APA/Wd6yZyKhAsBefswekKbTvzFmpH2TVt4/1znCeOQz3L+ENu6WyvnSv4Jn
7Nqm39g/HmcuDBvI3L8+iWtTc/TRv9lSVXHzeNY/9cUmknc23b+eylUpxtnQ
v1NhbXg2O9U/MEqLGWh63b/DvZ+3/LTPv94i0G69itQ/fnSHWgiM3b+rygaJ
dh7Ov7o+GLP+JNQ/Yipeb4hf3b9BMv3T4/bMvzK4+X8Z6dM/R9cy5ePl3L9Z
BQF/Py3Mv0yY3yNpxdM/hNvhDrcQ3L9SvL25eqnLv0COMHz+r9M/5yqxi4Ta
2r/GbxrRu1XLv8S3tDIXo9M/VTRq9ihR2b/xacmDdyHLv6AuB91Lm9M/G/FU
6o6a17/qoe6IMQHLv/Gf/IKOltM/V0TjoVzr1b+oqMf/cu3Kv/iUnOqvk9M/
Gsiqg61y1L8M3N0SSuHKv9msJbrykdM/xq8oqr5J079NsX90/NnKv1ifZY7i
kNM/3e78rSpy0r80DqZ+fNXKv26f0PkXkNM/f07cHOre0b9s+WjzmBYTwAhw
pIHrj9M/zeZjx4Z+0b+6TUdaEtHKvzy+FzHIj9M/dLXuUi9B0b+x0g4kI9DK
v/u6tMeKj9M/3mqWvdsa0b83PeITF8/Kv4pO8AWuj9M/4EjBpSoD0b/GbI+a
Is/Kv6v6VHEkkNM/EQesdDMyDsBkBtBRGM/Kv2wSIi7zjtM/i2k31A==
    "]]},
  Axes->True,
  BoxRatios->{1, 1, 0.4},
  PlotRange->{{-3.774512206554285, -0.2658182734204626}, {-4.772067836076854, \
-0.2094448897446257}, Automatic},
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}, {Automatic, Automatic}}]], "Output",
 CellChangeTimes->{3.592218485608148*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Coeffmat2", "/", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"C1MSE", "[", 
     RowBox[{
      RowBox[{"DList", "[", 
       RowBox[{"[", "i", "]"}], "]"}], ",", 
      RowBox[{"VarianceList", "[", 
       RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", 
      RowBox[{"Length", "[", "DList", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", 
      RowBox[{"Length", "[", "VarianceList", "]"}]}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.5922184985002327`*^9, 3.5922185052260017`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2.4041786856264666`"}], ",", 
     RowBox[{"-", "0.3065132876495297`"}], ",", "1.000000230456693`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2.328678903719077`"}], ",", 
     RowBox[{"-", "0.3070411968965113`"}], ",", "0.4740341879820305`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.44066726487008395`"}], ",", 
     RowBox[{"-", "0.2964960550242284`"}], ",", "0.38865062121623606`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.44971347989631905`"}], ",", 
     RowBox[{"-", "0.28054507395258443`"}], ",", "0.35113226001457815`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.4564494063625653`"}], ",", 
     RowBox[{"-", "0.26329187428124523`"}], ",", "0.3317390609786532`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.46059610838452425`"}], ",", 
     RowBox[{"-", "0.24771079031005003`"}], ",", "0.3209680158766285`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.4616719135354471`"}], ",", 
     RowBox[{"-", "0.23530465784786733`"}], ",", "0.31475799073903554`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.4589558684898859`"}], ",", 
     RowBox[{"-", "0.22628448344257104`"}], ",", "0.3111022710571688`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.45153138525653386`"}], ",", 
     RowBox[{"-", "0.22013086034170717`"}], ",", "0.3089239931417793`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.43852020696015637`"}], ",", 
     RowBox[{"-", "0.21610960072891544`"}], ",", "0.3076168263234855`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.4195872654133112`"}], ",", 
     RowBox[{"-", "0.21355388364906797`"}], ",", "0.3068292613196457`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.39557861389113685`"}], ",", 
     RowBox[{"-", "0.2119588273515798`"}], ",", "0.30635353646060004`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.3688084877392314`"}], ",", 
     RowBox[{"-", "0.210973922597318`"}], ",", "0.3060642508667107`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.3424903469977542`"}], ",", 
     RowBox[{"-", "0.21037137498143932`"}], ",", "0.3058891097192169`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.31949937685124186`"}], ",", 
     RowBox[{"-", "0.21000028535101511`"}], ",", "0.305782968315453`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.301376024409134`"}], ",", 
     RowBox[{"-", "0.20977740944307258`"}], ",", "0.3057180777163828`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.2882181834317928`"}], ",", 
     RowBox[{"-", "0.20964008506790466`"}], ",", "0.30566977878560564`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.2792306215135127`"}], ",", 
     RowBox[{"-", "4.772067836076854`"}], ",", "0.3056591764486716`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.27334756347373174`"}], ",", 
     RowBox[{"-", "0.2095053616345533`"}], ",", "0.3056507567807534`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.26960356806633645`"}], ",", 
     RowBox[{"-", "0.20947684536590352`"}], ",", "0.3056361150983517`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.26726430429850534`"}], ",", 
     RowBox[{"-", "0.2094448897446257`"}], ",", "0.30564451770735757`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.2658182734204626`"}], ",", 
     RowBox[{"-", "0.20944626376044634`"}], ",", "0.305672751117451`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "3.774512206554285`"}], ",", 
     RowBox[{"-", "0.2094450377917837`"}], ",", "0.3055999708670132`"}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.592218431260201*^9, {3.592218500833069*^9, 3.59221850573916*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"===", "===", "===", "===", "===", "===", "===", "==="}], "=", 
   RowBox[{
    RowBox[{"===", "===", "===", "==="}], "=", 
    RowBox[{
    "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
     "=="}]}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"For", " ", "the", " ", "MSE"}], "-", "Solution"}], ",", " ", 
   RowBox[{"i", ".", "e", "."}], ",", " ", 
   RowBox[{"the", " ", "Wiener", " ", "filter"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.590462976236466*^9, 3.590462986173829*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OutmatMSE", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SubscriptBox["m", 
      RowBox[{"i", ",", "j"}]], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "DList", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"Length", "[", "VarianceList", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"i", "=", "1"}], ",", 
   RowBox[{"i", "<", 
    RowBox[{
     RowBox[{"Length", "[", "DList", "]"}], "+", "1"}]}], ",", 
   RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"j", "=", "1"}], ",", 
     RowBox[{"j", "<", 
      RowBox[{
       RowBox[{"Length", "[", "VarianceList", "]"}], "+", "1"}]}], ",", 
     RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"OutmatMSE", "[", 
       RowBox[{"[", 
        RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
      RowBox[{"Info", "[", 
       RowBox[{
        RowBox[{"C1MSE", "[", 
         RowBox[{
          RowBox[{"DList", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{"VarianceList", "[", 
           RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
        RowBox[{"C2MSE", "[", 
         RowBox[{
          RowBox[{"DList", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{"VarianceList", "[", 
           RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
        RowBox[{"DList", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"VarianceList", "[", 
         RowBox[{"[", "j", "]"}], "]"}]}], "]"}]}]}], "\[IndentingNewLine]", 
    "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5898004852994127`*^9, 3.5898004853117332`*^9}, {
  3.589857482407497*^9, 3.5898575604316683`*^9}, {3.590462954246922*^9, 
  3.590462968861062*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPointPlot3D", "[", 
  RowBox[{"{", 
   RowBox[{"Outmat", ",", "OutmatMSE"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.5898575791046543`*^9, 3.589857588321414*^9}}],

Cell[BoxData[
 Graphics3DBox[{
   {Hue[0.67, 0.6, 0.6], Point3DBox[CompressedData["
1:eJwBOQLG/SFib1JlAgAAABcAAAADAAAASF5T4LfQ3T8rfhu6NOXaPz6Huob0
ra0/XAI9Iv4V5j9pYIDLzk3jP7SUZlVOxLE/UWI/IfpH7T+GPMc5Go3oP29f
qmXNlLM/kiSOkTtE8j/At41f8xPtP4Kr9pVasrQ/2f73KOrr9T/97k1FimXw
P7SVzMn8YLU/DShQJfmX+T8TC+AoQ9bxP5p/scpxy7U/XOHtTZNC/T+k/T0I
FuTyP5sBW4Y2DLY/4da9j3hxAEBNqqEfeZ/zP8wX2xaSM7Y/JFO9T3E2AkBo
Z+8WMBz0PysFby54S7Y/j8QWDEToA0C4f2Kqmmz0P161Ao75WbY/+ESSlGl9
BUCh+LzrU5/0P0M4AcbGYrY/A+G0JaPrBkAzaTD32770PxgwZ8QdaLY/uwGg
nHopCEBbcv4XR9L0P5ozygRba7Y/4w2yAzIwCUBOtG+cKt70P4jAQAhSbbY/
e1dNt7P9CUDxPpwza+X0P9NZhiSDbrY/Ku9agYuVCkBMkR441en0Px/2NzU8
b7Y/+znPzvH/CkACvyIRhOz0P/FmPHWsb7Y/gVQxnUZHC0DgAv4yJe70PwR1
u4rwb7Y/zMFUm4R1C0BrdqtmIu/0P6xcVtYZcLY/z5UiN8uSC0BnXX8MvO/0
P+6tXuIycLY/UEn+awmlC0Dvl45EGfD0P+aheRNCcLY/RkeK/0mwC0AoJmDR
UfD0P/o7V0pLcLY/2uxWTi+3C0AKU/EedPD0P6ALEeFQcLY/BQ8KmQ==
     "]]}, 
   {Hue[0.9060679774997897, 0.6, 0.6], Point3DBox[CompressedData["
1:eJwBOQLG/SFib1JlAgAAABcAAAADAAAA3TPoNVwn3D9raixUPPPZPyHUNxms
iq0/T3sH0eey5D/FR2NFypTiPzl832bVw7E/GxgSS3Zg6z+XBDKzgrjnPyzk
kwsflLM/DZuKvZgW8T/6MX+k+UbsP3d0iFqMsLQ//2bV1lqO9D9DgY9+lQ7w
PzcyqYsHX7U/GG8+qH0V+D/XEQzlYZPxP/oT7OrYybU/EwkhSUOn+z9cVii/
WLTyP4/0pRMSC7Y/WF9eSGE8/z9lfgh5NX/zP5InrPLOMrY/tqO+a0ZlAUD3
hQNbMwf0P+bhbfX6SrY/UJdjdM8hA0D+MBZlTF/0PzTOvgCrWbY/vHO+PGHK
BEDb5T8TCJf0P4yA1CeWYrY/EurP3kxTBkBUm7elvbn0P9YAuOr/Z7Y/Ylog
LNqvB0AclFr/I8/0P1vYjMdIa7Y/89/qQxDVCECYYAdkQNz0P0cCiutGbbY/
398fhju9CUDQV9a1QOT0P60FcmJ8brY/XMmbwApqCkBZbC+/H+n0P7WAJho4
b7Y/B/tDaZ7jCkDF4hvXFez0PzjSGPepb7Y/A8ldn2w1C0DGW/lI4u30P+Se
dAfvb7Y/+3KoN0pqC0Ct/UrL+e70P0I0W+sYcLY/zuZPNdyLC0BDBlxpo+/0
Pyek0FMycLY/lLUb2MigC0Di+VZSCvD0Pybn/7xBcLY/6bOPQLGtC0BNK2LA
SPD0P9rt4hVLcLY/fihJcpq1C0D3xhafbvD0P4X2P8FQcLY/YdUPDg==
     "]]}},
  Axes->True,
  BoxRatios->{1, 1, 0.4},
  ImageSize->{360., 299.2903688875892},
  PlotRange->{{0.4399023558078719, 3.464445697810885}, {0.4054709264761757, 
    1.3087044914911439`}, Automatic},
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}, {Automatic, Automatic}},
  ViewPoint->{2.673492787439469, 0.6729065160443183, 1.962048199248488},
  ViewVertical->{-0.019409545155185837`, 0.45815115570444714`, 
   2.2216558971906912`}]], "Output",
 CellChangeTimes->{3.59048010917377*^9, 3.592215585275137*^9, 
  3.592218524952154*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.590480081674426*^9, 3.59048008169923*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPointPlot3D", "[", 
  RowBox[{"Outmat", "-", "OutmatMSE"}], "]"}]], "Input",
 CellChangeTimes->{{3.589857682744754*^9, 3.589857684769825*^9}}],

Cell[BoxData[
 Graphics3DBox[
  {Hue[0.67, 0.6, 0.6], Point3DBox[CompressedData["
1:eJxTTMoPSmViYGAQB2JmIN6wbNOyXVNn2TNUPNrLY99n39AXedBsiaH9hYII
4VTDZfYNIosPT1CYbs9wQO7YQut7dgmLryTZVqyzf/B32aUPk4D6EjLOO51+
ahcww8JB99Ym+wM7LiSaz59pz7Ch4PG2x3/sFtRqKn29sdW+IW/2esO9U+0Z
LpibPQr+bxfQL31xu/oOewb/f18CdkywZ2DYFfan96fdhJazPgxbd9ozLLnc
teReO9DeCwHa7p/sFjy7Uvg3Y5c9w5epPpcVG+wZHNjvtaa8sDvw9mp9jCpQ
vPDh691/SoDiFz0c/O7bPVie+m3SOaD5JXNndM3JsmdoOPUzYPFluwb1ql9c
idvsGXpUf22YngAUvx0t5n/CTuHevDsnuDbbM9SYP3atDAG6x0l//c29dg7X
XsrLZKyzZ/jxUe6ohCdQ3D7a1naTHUPN6Y/5J5YB/W/d2rbYDijeVJNrucyO
4XmsN4/cAnsGgaK4O8uNgOIzAgI5ZgPFJ8UnHAD6P2HeE9n1akDxFVddcybY
MXyx604N7gG6m397Y580UPzEUpmPzXYMdd2X/95sBLrvmGbjLgGgOENSrkmF
HcOiuRHHS8qA/HibDb4sQNqBNzU+146BZY8X+55sIF8lXHnxDzsGhgcWBy8m
2jF88OvyZ0oEikvZ5D95aweK8rx5oXYML2Zd+X4U5M9tX38rPgKJC6hbedkx
HHC9c8AX5E8fg6z/V0Hi0qIX7e0AcoDsTg==
    "]]},
  Axes->True,
  BoxRatios->{1, 1, 0.4},
  ImageSize->{360., 285.9575856123689},
  PlotRange->{{0.0007722083760608456, 0.10316452054112313`}, {
    5.244663729753185*^-6, 0.02595115934104608}, Automatic},
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}, {Automatic, Automatic}},
  ViewPoint->{1.2999999999999998`, -2.4, 1.9999999999999998`},
  ViewVertical->{-0.02308659518303858, -0.01279558879330775, 
   2.4991289507925143`}]], "Output",
 CellChangeTimes->{3.590480110887711*^9, 3.592215593915958*^9, 
  3.592218534286693*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.59221675550229*^9}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\<linPred3_Rates.dat\>\""}], ",", 
     RowBox[{"Transpose", "[", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", "RList", "}"}], ",", 
        RowBox[{"Transpose", "[", "Outmat", "]"}]}], "]"}], "]"}]}], "]"}], 
   ";", 
   RowBox[{"Export", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\<linPred3_RatesMSE.dat\>\""}], ",", 
     RowBox[{"Transpose", "[", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", "RList", "}"}], ",", 
        RowBox[{"Transpose", "[", "OutmatMSE", "]"}]}], "]"}], "]"}]}], "]"}],
    ";", 
   RowBox[{"Export", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
      "\"\<linPred3_Coeffs.dat\>\""}], ",", 
     RowBox[{"Transpose", "[", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", "RList", "}"}], ",", 
        RowBox[{"Transpose", "[", 
         RowBox[{"Coeffmat2", "/", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"C1MSE", "[", 
             RowBox[{
              RowBox[{"DList", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", 
              RowBox[{"VarianceList", "[", 
               RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", 
              RowBox[{"Length", "[", "DList", "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", 
              RowBox[{"Length", "[", "VarianceList", "]"}]}], "}"}]}], 
           "]"}]}], "]"}]}], "]"}], "]"}]}], "]"}], ";"}]}]], "Input",
 CellChangeTimes->{{3.592215682461816*^9, 3.59221570889469*^9}, {
  3.592215769067554*^9, 3.592215803608912*^9}, {3.592215882070838*^9, 
  3.592215911086363*^9}, {3.592216438795463*^9, 3.592216440500024*^9}, {
  3.592216695804891*^9, 3.5922167333816853`*^9}, {3.592217299840345*^9, 
  3.592217312370254*^9}, {3.59221780052525*^9, 3.592217806871497*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"===", "===", "===", "===", "===", "===", "===", "==="}], "=", 
    RowBox[{
     RowBox[{"===", "===", "===", "==="}], "=", 
     RowBox[{
     "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
      "=="}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Some", " ", "quick", " ", "checks"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.600752424553362*^9, 3.6007524448173237`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"i", "=", "15"}], ";", 
  RowBox[{"j", "=", "2"}], ";", 
  RowBox[{"Dummy", "=", 
   RowBox[{"FindMaximum", "[", 
    RowBox[{
     RowBox[{"Info", "[", 
      RowBox[{
       RowBox[{"C1MSE", "[", 
        RowBox[{
         RowBox[{"DList", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"VarianceList", "[", 
          RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", "c2", ",", 
       RowBox[{"DList", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"VarianceList", "[", 
        RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"c2", ",", "0.05"}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.592216785422846*^9, 3.592216827897389*^9}, {
  3.592216992184484*^9, 3.592217039693534*^9}, {3.59221896036065*^9, 
  3.592218962143553*^9}, {3.592219017409773*^9, 3.5922190606575317`*^9}, {
  3.592219102447961*^9, 3.592219224546013*^9}, {3.592219257552554*^9, 
  3.592219287101529*^9}, {3.5922208235999813`*^9, 3.5922208388912773`*^9}, {
  3.592220868904791*^9, 3.592220886349186*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.3060104385402602`", ",", 
   RowBox[{"{", 
    RowBox[{"c2", "\[Rule]", 
     RowBox[{"-", "4.467202807313303`"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.592218985559512*^9, {3.592219022642064*^9, 3.592219032528874*^9}, 
   3.592219066275982*^9, {3.592219107656625*^9, 3.592219226308114*^9}, {
   3.59221925882852*^9, 3.59221928772668*^9}, {3.592220818166605*^9, 
   3.592220896179899*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Coeffmat2", "[", 
   RowBox[{"[", 
    RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
  RowBox[{"c2", "/.", 
   RowBox[{"Last", "[", "Dummy", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.5922189886466503`*^9, 3.5922190053050327`*^9}}],

Cell[BoxData[
 RowBox[{"-", "0.1966365481206411`"}]], "Output",
 CellChangeTimes->{3.592219006111903*^9, 3.592219037334168*^9, 
  3.5922190825364847`*^9, 3.592219117503031*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Info", "[", 
    RowBox[{
     RowBox[{"C1MSE", "[", 
      RowBox[{
       RowBox[{"DList", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"VarianceList", "[", 
        RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", "c2", ",", 
     RowBox[{"DList", "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", 
     RowBox[{"VarianceList", "[", 
      RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"c2", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.592216856130342*^9, 3.5922168694306192`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwV1nk81dkbB3BpU/ohouKapKhkGWSKSV8tgxaUchOFqEE1qSzJkpsohiZz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     "]], LineBox[CompressedData["
1:eJwd2Xc4Vu8bAHAVhTIaEsnIKtkVIj0lRCIkGWVlFFJ8M5KQVamEKKkkssoK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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 1.2905},
  PlotRange->{{-2, 2}, {1.2903492747454772`, 1.3060104363137832`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.592216946336114*^9, 3.5922205875205193`*^9, 
  3.5922208556507673`*^9, 3.5922209766046124`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Info", "[", 
    RowBox[{
     RowBox[{"C1MSE", "[", 
      RowBox[{
       RowBox[{"DList", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", "100"}], "]"}], ",", "c2", ",", 
     RowBox[{"DList", "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", "100"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"c2", ",", 
     RowBox[{"-", "0.1"}], ",", "0.5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5922211877912188`*^9, 3.592221282514948*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwd1nc81e0bB3AjkcJjVY4e8WScioxSVFxGqUTILiOySmQeK6OMeqKSkZJ1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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0.00984965},
  PlotRange->{{-0.1, 0.5}, {0.00984962328252886, 0.009850465938093331}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.592221226642023*^9, 3.592221244468473*^9}, 
   3.592221299960999*^9, 3.5922214454077787`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dummy", "=", 
  RowBox[{"FindMaximum", "[", 
   RowBox[{
    RowBox[{"Info", "[", 
     RowBox[{
      RowBox[{"C1MSE", "[", 
       RowBox[{
        RowBox[{"DList", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", "100"}], "]"}], ",", "c2", ",", 
      
      RowBox[{"DList", "[", 
       RowBox[{"[", "i", "]"}], "]"}], ",", "100"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"c2", ",", "0.005"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5922215424233*^9, 3.592221571862816*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.00985046594533923`", ",", 
   RowBox[{"{", 
    RowBox[{"c2", "\[Rule]", "0.00783636087228763`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.5922215535213623`*^9, 3.5922215763772583`*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Indeed", ",", " ", 
   RowBox[{
    RowBox[{"the", " ", "cost", " ", "function", " ", "is", " ", "non"}], "-", 
    RowBox[{"convex", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6007524591028633`*^9, 3.600752487688203*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"===", "===", "===", "===", "===", "===", "===", "==="}], "=", 
    RowBox[{
     RowBox[{"===", "===", "===", "==="}], "=", 
     RowBox[{
     "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
      "=="}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", "Exporting", " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.600752490602254*^9, 3.600752492265149*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred3_Rate1.dat\>\""}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RList", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"Outmat", "[", 
         RowBox[{"[", 
          RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "RList", "]"}]}], "}"}]}], "]"}]}], "]"}], ";", 
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred3_Rate2.dat\>\""}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RList", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"Outmat", "[", 
         RowBox[{"[", 
          RowBox[{"i", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "RList", "]"}]}], "}"}]}], "]"}]}], "]"}], ";", 
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred3_Rate3.dat\>\""}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RList", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"Outmat", "[", 
         RowBox[{"[", 
          RowBox[{"i", ",", "3"}], "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "RList", "]"}]}], "}"}]}], "]"}]}], "]"}], ";", 
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred3_RateMSE1.dat\>\""}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RList", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"OutmatMSE", "[", 
         RowBox[{"[", 
          RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "RList", "]"}]}], "}"}]}], "]"}]}], "]"}], ";", 
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred3_RateMSE2.dat\>\""}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RList", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"OutmatMSE", "[", 
         RowBox[{"[", 
          RowBox[{"i", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "RList", "]"}]}], "}"}]}], "]"}]}], "]"}], ";", 
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred3_RateMSE3.dat\>\""}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RList", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"OutmatMSE", "[", 
         RowBox[{"[", 
          RowBox[{"i", ",", "3"}], "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "RList", "]"}]}], "}"}]}], "]"}]}], "]"}], ";", 
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred3_Coeffs1.dat\>\""}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RList", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"Coeffmat2", "[", 
         RowBox[{"[", 
          RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "RList", "]"}]}], "}"}]}], "]"}]}], "]"}], ";", 
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred3_Coeffs2.dat\>\""}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RList", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"Coeffmat2", "[", 
         RowBox[{"[", 
          RowBox[{"i", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "RList", "]"}]}], "}"}]}], "]"}]}], "]"}], ";", 
  RowBox[{"Export", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"NotebookDirectory", "[", "]"}], "<>", 
     "\"\<linPred3_Coeffs3.dat\>\""}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"RList", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"Coeffmat2", "[", 
         RowBox[{"[", 
          RowBox[{"i", ",", "3"}], "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "RList", "]"}]}], "}"}]}], "]"}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.59221861548413*^9, 3.59221862755667*^9}, {
  3.592218715301661*^9, 3.5922187710446978`*^9}, {3.59221889600784*^9, 
  3.5922189181923447`*^9}, {3.592219176825963*^9, 3.592219178793826*^9}}],

Cell[CellGroupData[{

Cell[BoxData["VarianceList"], "Input",
 CellChangeTimes->{{3.592220033298123*^9, 3.592220040160631*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.001`", ",", "0.1`", ",", "10"}], "}"}]], "Output",
 CellChangeTimes->{{3.59222003450945*^9, 3.592220040713058*^9}}]
}, Open  ]]
},
WindowSize->{1280, 943},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Linux x86 (64-bit) (October 10, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 544, 12, 30, "Input"],
Cell[1104, 34, 847, 26, 69, "Input"],
Cell[1954, 62, 461, 10, 30, "Input"],
Cell[2418, 74, 672, 19, 30, "Input"],
Cell[3093, 95, 391, 9, 30, "Input"],
Cell[3487, 106, 559, 16, 50, "Input"],
Cell[4049, 124, 1084, 32, 126, "Input"],
Cell[5136, 158, 482, 12, 50, "Input"],
Cell[5621, 172, 391, 9, 30, "Input"],
Cell[6015, 183, 454, 11, 30, "Input"],
Cell[6472, 196, 1383, 38, 50, "Input"],
Cell[CellGroupData[{
Cell[7880, 238, 685, 20, 30, "Input"],
Cell[8568, 260, 1030, 30, 54, "Output"]
}, Open  ]],
Cell[9613, 293, 468, 11, 50, "Input"],
Cell[10084, 306, 900, 30, 97, "Input"],
Cell[10987, 338, 507, 11, 30, "Input"],
Cell[11497, 351, 391, 9, 30, "Input"],
Cell[11891, 362, 195, 4, 30, "Input"],
Cell[12089, 368, 1508, 42, 50, "Input"],
Cell[13600, 412, 1268, 40, 69, "Input"],
Cell[14871, 454, 2424, 59, 126, "Input"],
Cell[17298, 515, 391, 9, 30, "Input"],
Cell[CellGroupData[{
Cell[17714, 528, 973, 23, 30, "Input"],
Cell[18690, 553, 1220, 26, 289, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19947, 584, 583, 17, 30, "Input"],
Cell[20533, 603, 4072, 119, 126, "Output"]
}, Open  ]],
Cell[24620, 725, 391, 9, 30, "Input"],
Cell[25014, 736, 317, 7, 30, "Input"],
Cell[25334, 745, 1887, 53, 107, "Input"],
Cell[CellGroupData[{
Cell[27246, 802, 196, 4, 30, "Input"],
Cell[27445, 808, 2343, 46, 314, "Output"]
}, Open  ]],
Cell[29803, 857, 91, 1, 30, "Input"],
Cell[CellGroupData[{
Cell[29919, 862, 170, 3, 30, "Input"],
Cell[30092, 867, 7638, 134, 301, 1358, 29, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[37745, 1004, 86, 1, 50, "Input"],
Cell[37834, 1007, 2107, 55, 107, "Input"],
Cell[39944, 1064, 589, 13, 50, "Input"],
Cell[CellGroupData[{
Cell[40558, 1081, 1096, 26, 30, "Input"],
Cell[41657, 1109, 446, 10, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42140, 1124, 265, 7, 30, "Input"],
Cell[42408, 1133, 176, 3, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42621, 1141, 639, 18, 30, "Input"],
Cell[43263, 1161, 12944, 219, 246, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[56244, 1385, 505, 14, 30, "Input"],
Cell[56752, 1401, 4699, 82, 239, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61488, 1488, 522, 15, 30, "Input"],
Cell[62013, 1505, 240, 6, 30, "Output"]
}, Open  ]],
Cell[62268, 1514, 281, 6, 30, "Input"],
Cell[62552, 1522, 549, 12, 50, "Input"],
Cell[63104, 1536, 5294, 158, 183, "Input"],
Cell[CellGroupData[{
Cell[68423, 1698, 104, 1, 30, "Input"],
Cell[68530, 1701, 157, 3, 30, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
